	Понятие неопределенного интеграла, его свойства

# Неопределенный интеграл

Пусть $f(x)$ - непрерывная функция на отрезке $[a,b]$. Тогда неопределенным интегралом функции $f(x)$ называется множество всех функций $F(x)$, для которых выполняется равенство:

$$F'(x) = f(x)$$

Обозначение:

$$\int f(x)dx = F(x) + C$$

где $C$ - произвольная константа, называемая **постоянной интегрирования**.

Геометрический смысл неопределенного интеграла состоит в том, что он представляет собой семейство кривых, которые можно получить из графика функции $f(x)$ путем его вертикального сдвига на величину $C$.

## Свойства:
1. Производная равна подынтегральному выражению.
    $$\left(\int f(x)dx\right)' = f(x)$$
2. Интеграл от суммы равен сумме интеграла.
     $$\int f(x)dx + g(x) = \int f(x)dx + \int g(x)dx$$
3. Константу можно вынести из-под знака интеграла.
    $$\int a \cdot f(x)dx = a \cdot \int f(x)dx$$
4. Интеграл разности равен разности интегралов.
    $$\int \left(f(x) - g(x)\right)dx = \int f(x)dx - \int g(x)dx$$