	Интегрирование по частям в определенном интеграле

# Формула интегрирования по частям
Пусть функции $u(x)$ и $v(x)$ дифференцируемы на отрезке $[a, b]$. Тогда определенный интеграл от производной их произведения можно вычислить по формуле:

$$
\int_a^b (u(x)v'(x) + u'(x)v(x)) \, dx = u(x)v(x)\big|_a^b.
$$

Эту формулу можно переписать в более удобном для применения виде:

$$
\int_a^b u(x)v'(x) \, dx = u(x)v(x)\big|_a^b - \int_a^b u'(x)v(x) \, dx.
$$

Здесь $u(x)$ и $v(x)$ - функции, выбранные таким образом, чтобы интеграл от произведения $u'(x)v(x)$ был проще, чем исходный интеграл.

## Геометрический смысл
Геометрически интегрирование по частям в определенном интеграле означает, что мы разбиваем область интегрирования на две части и вычисляем интеграл отдельно для каждой части. При этом одна из частей вычисляется непосредственно, а другая - с помощью формулы интегрирования по частям.

## Примеры
1. Вычислим интеграл $\int_0^1 x e^x \, dx$.
	Заметим, что функция $e^x$ является своей собственной первообразной. Выберем $u(x) = x$ и $v'(x) = e^x$. Тогда $u'(x) = 1$ и $v(x) = e^x$. Подставляя эти выражения в формулу интегрирования по частям, получаем:
	
	$$
	\int_0^1 x e^x \, dx = xe^x\big|_0^1 - \int_0^1 e^x \, dx = (1 \cdot e^1 - 0 \cdot e^0) - (e^1 - e^0) = e - 1.
	$$

2. Вычислим интеграл $\int_1^2 \ln x \, dx$.
	Выберем $u(x) = \ln x$ и $v'(x) = 1$. Тогда $u'(x) = \frac{1}{x}$ и $v(x) = x$. Подставляя эти выражения в формулу интегрирования по частям, получаем:
	
	$$
	\int_1^2 \ln x \, dx = x\ln x\big|_1^2 - \int_1^2 1 \, dx = (2\ln 2 - 1\ln 1) - (2 - 1) = 2\ln 2 - 1.
	$$

## Правила интегрирования по частям
- Функции $u(x)$ и $v(x)$ должны быть дифференцируемы на отрезке $[a, b]$;
- Необходимо выбрать функции $u(x)$ и $v(x)$ таким образом, чтобы интеграл от произведения $u'(x)v(x)$ был проще, чем исходный интеграл;
- Пределы интегрирования должны соответствовать образу функции $u(x)v(x)$ на отрезке $[a, b]$.
