	Приложения определенного интеграла в геометрии: длина кривой, площадь криволинейной трапеции

# Площадь плоской фигуры

Пусть дана плоская фигура, ограниченная графиком непрерывной функции $f(x)$ и осью абсцисс на отрезке $[a, b]$. Тогда площадь этой фигуры вычисляется по формуле:

$$
S = \int_a^b f(x) \, dx.
$$

## Пример
Вычислим площадь фигуры, ограниченной графиком функции $f(x) = x^2$ и осью абсцисс на отрезке $[0, 1]$.

**Решение**: Подставим функцию $f(x) = x^2$ в формулу для площади:

$$
S = \int_0^1 x^2 \, dx = \left[ \frac{x^3}{3} \right]_0^1 = \frac{1}{3}.
$$

**Ответ**: $\frac{1}{3}$.

# Объем тела вращения вокруг оси абсцисс
Пусть дана непрерывная функция $f(x)$ на отрезке $[a, b]$. Тогда объем тела, полученного вращением этой функции вокруг оси абсцисс, вычисляется по формуле:

$$
V = \pi \int_a^b (f(x))^2 \, dx.
$$

## Пример
Вычислим объем тела, полученного вращением графика функции $f(x) = x$ вокруг оси абсцисс на отрезке $[0, 1]$.

**Решение**: Подставим функцию $f(x) = x$ в формулу для объема:

$$
V = \pi \int_0^1 x^2 \, dx = \pi \left[ \frac{x^3}{3} \right]_0^1 = \frac{\pi}{3}.
$$

**Ответ**: $\frac{\pi}{3}$.

# Объем тела вращения вокруг оси ординат
Пусть дана плоская фигура, ограниченная графиком непрерывной функции $f(x)$ и осью абсцисс на отрезке $[a, b]$. Тогда объем тела, полученного вращением этой фигуры вокруг оси ординат, вычисляется по формуле:

$$
V = 2\pi \int_a^b x f(x) \, dx.
$$

Эта формула также известна как формула Гельдерлина-Паппа.

## Пример
Вычислим объем тела, полученного вращением графика функции $f(x) = x^2$ вокруг оси ординат на отрезке $[0, 1]$.

**Решение**: Подставим функцию $f(x) = x^2$ в формулу для объема:

$$
V = 2\pi \int_0^1 x \cdot x^2 \, dx = 2\pi \int_0^1 x^3 \, dx = 2\pi \left[ \frac{x^4}{4} \right]_0^1 = \frac{\pi}{2}.
$$

**Ответ**: $\frac{\pi}{2}$.

## Метод дисков
Метод дисков - это один из методов вычисления объема тела вращения. Он основан на представлении тела вращения в виде бесконечного числа тонких дисков. Рассмотрим более подробно этот метод.

Пусть дана плоская фигура, ограниченная графиком непрерывной функции $f(x)$ и осью абсцисс на отрезке $[a, b]$. Разделим этот отрезок на $n$ равных частей длиной $\Delta x = \frac{b - a}{n}$. Тогда объем тела вращения, полученного вращением этой фигуры вокруг оси ординат, можно приближенно вычислить как сумму объемов $n$ тонких цилиндрических дисков:

$$
V \approx \sum_{i=1}^n \pi (f(x_i))^2 \Delta x,
$$

где $x_i$ - точка на отрезке $[a, b]$, соответствующая $i$-му диску.

Если перейти к пределу при $n \to \infty$, то получим точную формулу для объема тела вращения:

$$
V = \pi \int_a^b (f(x))^2 \, dx.
$$

### Пример
Вычислим объем тела, полученного вращением графика функции $f(x) = x$ вокруг оси ординат на отрезке $[0, 1]$ с помощью метода дисков.

**Решение**: Подставим функцию $f(x) = x$ в формулу для объема:

$$
V = \pi \int_0^1 (x)^2 \, dx = \pi \int_0^1 x^2 \, dx = \pi \left[ \frac{x^3}{3} \right]_0^1 = \frac{\pi}{3}.
$$

**Ответ**:  $\frac{\pi}{3}$.

## Метод цилиндрических колец
Метод цилиндрических колец - это другой метод вычисления объема тела вращения. Он основан на представлении тела вращения в виде бесконечного числа тонких цилиндрических колец. Рассмотрим более подробно этот метод.

Пусть дана плоская фигура, ограниченная графиком непрерывной функции $f(x)$ и осью абсцисс на отрезке $[a, b]$. Разделим этот отрезок на $n$ равных частей длиной $\Delta x = \frac{b - a}{n}$. Тогда объем тела вращения, полученного вращением этой фигуры вокруг оси ординат, можно приближенно вычислить как сумму объемов $n$ тонких цилиндрических колец:

$$
V \approx \sum_{i=1}^n 2\pi x_i f(x_i) \Delta x,
$$

где $x_i$ - точка на отрезке $[a, b]$, соответствующая $i$-му кольцу.

Если перейти к пределу при $n \to \infty$, то получим точную формулу для объема тела вращения:

$$
V = 2\pi \int_a^b x f(x) \, dx.
$$

Этот метод называется методом цилиндрических колец.

### Пример
Вычислим объем тела, полученного вращением графика функции $f(x) = x^2$ вокруг оси ординат на отрезке $[0, 1]$ с помощью метода цилиндрических колец.

**Решение**: Подставим функцию $f(x) = x^2$ в формулу для объема:

$$
V = 2\pi \int_0^1 x \cdot x^2 \, dx = 2\pi \int_0^1 x^3 \, dx = 2\pi \left[ \frac{x^4}{4} \right]_0^1 = \frac{\pi}{2}.
$$

**Ответ**: $\frac{\pi}{2}$.

# Длина кривой
Пусть дана кривая $y = f(x)$, где $f(x)$ - непрерывно дифференцируемая функция на отрезке $[a, b]$. Тогда длина дуги кривой между точками $A(a, f(a))$ и $B(b, f(b))$ вычисляется по формуле:

$$
L = \int_a^b \sqrt{1 + (f'(x))^2} \, dx.
$$

Здесь $f'(x)$ - производная функции $f(x)$ по переменной $x$.

## Пример
Вычислим длину дуги параболы $y = x^2$ между точками $A(0, 0)$ и $B(1, 1)$.

**Решение**: Найдем производную функции $f(x) = x^2$:

$$
f'(x) = 2x.
$$

Теперь подставим это выражение в формулу для длины дуги:

$$
L = \int_0^1 \sqrt{1 + (2x)^2} \, dx = \int_0^1 \sqrt{1 + 4x^2} \, dx.
$$

Для вычисления этого интеграла воспользуемся заменой переменных:

$$
\begin{cases}
u = 1 + 4x^2, \\
du = 8x \, dx.
\end{cases}
$$

Тогда пределы интегрирования изменятся следующим образом: $u(0) = 1$ и $u(1) = 5$. Кроме того, $dx = \frac{1}{8x} du$. Теперь мы можем переписать интеграл:

$$
L = \frac{1}{8} \int_1^5 \sqrt{u} \cdot \frac{1}{\sqrt{\frac{u - 1}{4}}} \, du = \frac{1}{4} \int_1^5 \sqrt{\frac{u}{u - 1}} \, du.
$$

Для вычисления этого интеграла снова воспользуемся заменой переменных:

$$
\begin{cases}
t = \sqrt{\frac{u}{u - 1}}, \\
dt = -\frac{1}{2(u - 1)\sqrt{\frac{u}{u - 1}}} \, du.
\end{cases}
$$

Тогда пределы интегрирования изменятся следующим образом: $t(1) = 1$ и $t(5) = \sqrt{2}$. Кроме того, $du = -2(u - 1)t \, dt$. Теперь мы можем переписать интеграл:

$$
L = -\frac{1}{2} \int_1^{\sqrt{2}} t^2 \, dt = -\frac{1}{2} \left[ \frac{t^3}{3} \right]_1^{\sqrt{2}} = -\frac{1}{6} (2\sqrt{2} - 1) = \frac{1}{6} (1 - 2\sqrt{2}).
$$

**Ответ**: $\frac{1}{6} (1 - 2\sqrt{2})$.

# Площадь криволинейной трапеции
Пусть даны две непрерывные функции $f(x)$ и $g(x)$ на отрезке $[a, b]$, причем $f(x) \ge g(x)$ для всех $x \in [a, b]$. Тогда площадь криволинейной трапеции, ограниченной графиками функций $f(x)$ и $g(x)$ и прямыми $x = a$ и $x = b$, вычисляется по формуле:

$$
S = \int_a^b (f(x) - g(x)) \, dx.
$$

## Пример
Вычислим площадь криволинейной трапеции, ограниченной графиками функций $f(x) = x^2$ и $g(x) = x$ на отрезке $[0, 1]$.

**Решение**: Найдем разность функций:

$$
f(x) - g(x) = x^2 - x.
$$

Теперь подставим это выражение в формулу для площади криволинейной трапеции:

$$
S = \int_0^1 (x^2 - x) \, dx = \left[ \frac{x^3}{3} - \frac{x^2}{2} \right]_0^1 = \frac{1}{3} - \frac{1}{2} = -\frac{1}{6}.
$$

**Ответ**: $\frac{1}{6}$.
