	Несобственный интеграл 1-го рода: определение, признак сравнения

# Несобственный интеграл 1-го рода

Пусть дана функция $f(x)$, непрерывная на отрезке $[a, b)$, и пусть $\int_a^b f(x) \, dx$ - ее определенный интеграл на этом отрезке. Тогда несобственный интеграл 1-го рода от функции $f(x)$ на отрезке $[a, +\infty)$ определяется как предел:

$$
\int_a^{+\infty} f(x) \, dx = \lim_{b \to +\infty} \int_a^b f(x) \, dx,
$$

при условии, что этот предел существует.

Аналогично, несобственный интеграл 1-го рода от функции $f(x)$ на отрезке $(-\infty, b]$ определяется как предел:

$$
\int_{-\infty}^b f(x) \, dx = \lim_{a \to -\infty} \int_a^b f(x) \, dx,
$$

при условии, что этот предел существует.

Если функция $f(x)$ имеет бесконечность в точке $c$ области интегрирования, то несобственный интеграл 1-го рода от функции $f(x)$ на отрезке $[a, b]$ определяется как предел:

$$
\int_a^b f(x) \, dx = \lim_{\varepsilon \to 0+} \left( \int_a^{c-\varepsilon} f(x) \, dx + \int_{c+\varepsilon}^b f(x) \, dx \right),
$$

при условии, что этот предел существует.

## Признак сравнения

Признак сравнения - это один из основных методов исследования сходимости несобственных интегралов 1-го рода. Он основан на сравнении исследуемого интеграла с другим интегралом, сходимость или расходимость которого уже известна.

Пусть даны две функции $f(x)$ и $g(x)$, непрерывные на отрезке $[a, +\infty)$, и пусть $0 \le f(x) \le g(x)$ для всех $x \in [a, +\infty)$. Тогда:

- Если несобственный интеграл $\int_a^{+\infty} g(x) \, dx$ сходится, то несобственный интеграл $\int_a^{+\infty} f(x) \, dx$ также сходится.

- Если несобственный интеграл $\int_a^{+\infty} f(x) \, dx$ расходится, то несобственный интеграл $\int_a^{+\infty} g(x) \, dx$ также расходится.

Аналогичные утверждения справедливы для несобственных интегралов на отрезке $(-\infty, b]$ и на отрезке $[a, b]$, содержащем точку бесконечности функции.

## Примеры

1. Исследовать сходимость несобственного интеграла $\int_1^{+\infty} \frac{1}{x^2} \, dx$.
	**Решение**: Заметим, что функция $f(x) = \frac{1}{x^2}$ непрерывна и положительна на отрезке $[1, +\infty)$. Кроме того, она убывает, поэтому можно воспользоваться признаком сравнения. Возьмем в качестве сравнивающей функции функцию $g(x) = \frac{1}{x^{1+\varepsilon}}$, где $\varepsilon > 0$. Тогда:
	
	$$
	0 \le \frac{1}{x^2} \le \frac{1}{x^{1+\varepsilon}} \quad \forall x \in [1, +\infty).
	$$
	
	Несобственный интеграл $\int_1^{+\infty} \frac{1}{x^{1+\varepsilon}} \, dx$ сходится при $\varepsilon > 0$, поэтому несобственный интеграл $\int_1^{+\infty} \frac{1}{x^2} \, dx$ также сходится.

2. Исследовать сходимость несобственного интеграла $\int_0^1 \frac{1}{\sqrt{x}} \, dx$.
	**Решение**: Заметим, что функция $f(x) = \frac{1}{\sqrt{x}}$ непрерывна и положительна на отрезке $(0, 1]$. Кроме того, она имеет бесконечность в точке $x = 0$. Возьмем в качестве сравнивающей функции функцию $g(x) = \frac{1}{x^{1-\varepsilon}}$, где $0 < \varepsilon < 1$. Тогда:
	
	$$
	0 \le \frac{1}{\sqrt{x}} \le \frac{1}{x^{1-\varepsilon}} \quad \forall x \in (0, 1].
	$$
	
	Несобственный интеграл $\int_0^1 \frac{1}{x^{1-\varepsilon}} \, dx$ сходится при $0 < \varepsilon < 1$, поэтому несобственный интеграл $\int_0^1 \frac{1}{\sqrt{x}} \, dx$ также сходится.