>Простейшие рациональные дроби. Разложение правильной дроби на простейшие. Интегрирование простейших рациональных дробей:

> Простейшие рациональные дроби

Простейшая рациональная дробь - это рациональная дробь, в знаменателе которой стоит степень неприводимого многочлена. То есть простейшая рациональная дробь имеет вид:

$\frac{P(x)}{Q(x)} = \frac{P(x)}{(x - a)^k}$,

где $P(x)$ и $Q(x)$ - многочлены, $a$ - корень многочлена $Q(x)$, $k$ - натуральное число.

> Разложение правильной дроби на простейшие

Разложение правильной рациональной дроби на простейшие заключается в представлении ее в виде суммы простейших рациональных дробей. Для этого необходимо выполнить следующие шаги:

1. Разложить знаменатель на множители, представляющие собой степени неприводимых многочленов.
2. Разложить числитель по степеням этих неприводимых многочленов с помощью метода неопределенных коэффициентов.
3. Приравнять полученные выражения для числителя и знаменателя и найти значения неопределенных коэффициентов.

Пример. Разложить на простейшие дроби $\frac{3x + 1}{(x - 1)^2 (x + 2)}$.

Решение. Разложим знаменатель на множители: $(x - 1)^2 (x + 2)$. Запишем числитель в виде суммы неопределенных коэффициентов: $3x + 1 = A (x - 1)^2 + B (x - 1) + C (x + 2)$. Приравняем числитель и знаменатель:

$(3x + 1) = A (x - 1)^2 + B (x - 1) + C (x + 2)$.

Найдем значения неопределенных коэффициентов, подставляя в это уравнение различные значения $x$. Получим: $A = -1$, $B = 4$, $C = 2$. Таким образом, разложение на простейшие дроби имеет вид:

$\frac{3x + 1}{(x - 1)^2 (x + 2)} = -\frac{1}{(x - 1)^2} + \frac{4}{x - 1} + \frac{2}{x + 2}$.

> Интегрирование простейших рациональных дробей

Для интегрирования простейших рациональных дробей используются следующие формулы:

$\int \frac{dx}{(x - a)^k} = -\frac{1}{(k - 1) (x - a)^{k - 1}} + C$, где $k \neq 1$;

$\int \frac{dx}{x - a} = \ln |x - a| + C$;

$\int \frac{dx}{x^2 + a^2} = \frac{1}{a} arctg(\frac{x}{a}) + C$;

$\int \frac{dx}{x^2 - a^2} = \frac{1}{2a} \ln \left|\frac{x - a}{x + a}\right| + C$.

Пример. Вычислить интеграл $\int \frac{3x + 1}{(x - 1)^2 (x + 2)} dx$.

Решение. Разложим дробь на простейшие:

$\frac{3x + 1}{(x - 1)^2 (x + 2)} = -\frac{1}{(x - 1)^2} + \frac{4}{x - 1} + \frac{2}{x + 2}$.

Теперь вычислим интеграл:

$\int \frac{3x + 1}{(x - 1)^2 (x + 2)} dx = \int \left(-\frac{1}{(x - 1)^2} + \frac{4}{x - 1} + \frac{2}{x + 2}\right) dx =$

$= -\int \frac{dx}{(x - 1)^2} + 4 \int \frac{dx}{x - 1} + 2 \int \frac{dx}{x + 2} = \frac{1}{x - 1} + 4 \ln |x - 1| + 2 \ln |x + 2| + C$.

> Интегрирование методом неопределенных коэффициентов

Метод неопределенных коэффициентов - это метод вычисления неопределенных интегралов, основанный на представлении интеграла в виде суммы простейших рациональных дробей с неопределенными коэффициентами. Для этого необходимо выполнить следующие шаги:

1. Разложить знаменатель на множители, представляющие собой степени неприводимых многочленов.
2. Записать числитель в виде суммы неопределенных коэффициентов, соответствующих степеням неприводимых многочленов в знаменателе.
3. Приравнять полученные выражения для числителя и знаменателя и найти значения неопределенных коэффициентов.

Пример. Вычислить интеграл $\int \frac{x^2 + 2x + 1}{x^3 - x^2} dx$.

Решение. Разложим знаменатель на множители: $x^3 - x^2 = x^2 (x - 1)$. Запишем числитель в виде суммы неопределенных коэффициентов: $x^2 + 2x + 1 = A x^2 + B x + C + \frac{D}{x} + \frac{E}{x - 1}$. Приравняем числитель и знаменатель:

$x^2 + 2x + 1 = A x^2 + B x + C + \frac{D}{x} + \frac{E}{x - 1}$.

Найдем значения неопределенных коэффициентов, подставляя в это уравнение различные значения $x$. Получим: $A = 1$, $B = 2$, $C = 1$, $D = 0$, $E = -1$. Таким образом, разложение на простейшие дроби имеет вид:

$\frac{x^2 + 2x + 1}{x^3 - x^2} = \frac{1}{x} + \frac{2}{x - 1} + \frac{1}{x^2}$.

Теперь вычислим интеграл:

$\int \frac{x^2 + 2x + 1}{x^3 - x^2} dx = \int \left(\frac{1}{x} + \frac{2}{x - 1} + \frac{1}{x^2}\right) dx = \ln |x| + 2 \ln |x - 1| - \frac{1}{x} + C$.

