	Свойства определенного интеграла

1. Линейность:
	$$
	\int_a^b (\alpha f(x) + \beta g(x)) \, dx = \alpha \int_a^b f(x) \, dx + \beta \int_a^b g(x) \, dx,
	$$
	
	где $\alpha$ и $\beta$ - константы.

2. Аддитивность:
	$$
	\int_a^b f(x) \, dx = \int_a^c f(x) \, dx + \int_c^b f(x) \, dx,
	$$
	
	где $c \in [a, b]$.

3. Неравенство:
	$$
	\text{Если } f(x) \ge g(x) \text{ на } [a, b], \text{ то } \int_a^b f(x) \, dx \ge \int_a^b g(x) \, dx.
	$$

4. Оценка модуля интеграла:
	$$
	\left| \int_a^b f(x) \, dx \right| \le \int_a^b |f(x)| \, dx.
	$$

5. Определенный интеграл с одинаковыми пределами интегрирования равен нулю:
	$$
	\int_a^a f(x) \, dx = 0.
	$$

6. Величина определенного интеграла не зависит от обозначения переменной интегрирования:
	$$
	\int_a^b f(x) \, dx = \int_a^b f(t) \, dt.
	$$

7. Постоянный множитель можно выносить за знак определенного интеграла:
	$$
	\int_a^b k \cdot f(x) \, dx = k \cdot \int_a^b f(x) \, dx.
	$$

8. Определенный интеграл от алгебраической суммы конечного числа функций равен алгебраической сумме определенных интегралов:
	$$
	\int_a^b \left( f_1(x) + f_2(x) + \dots + f_n(x) \right) dx = \int_a^b f_1(x) \, dx + \int_a^b f_2(x) \, dx + \dots + \int_a^b f_n(x) \, dx.
	$$

9. Если отрезок интегрирования разбит на части, то определенный интеграл по всему отрезку равен сумме определенных интегралов по его частям:
	$$
	\int_a^b f(x) \, dx = \int_a^c f(x) \, dx + \int_c^b f(x) \, dx, \quad a < c < b.
	$$

10. При перестановке пределов интегрирования абсолютная величина определенного интеграла не меняется, а изменяется лишь его знак:
	$$
	\int_a^b f(x) \, dx = -\int_b^a f(x) \, dx.
	$$

11. Определенный интеграл равен произведению длины отрезка интегрирования на значение подынтегральной функции в некоторой точке $x_0$ внутри его (теорема Лагранжа о среднем значении):
	$$
	\int_a^b f(x) \, dx = f(x_0) \cdot (b - a), \quad x_0 \in (a, b).
	$$

12. Если верхний предел интегрирования больше нижнего и подынтегральная функция неотрицательна (положительна), то и определенный интеграл неотрицателен (положителен):
	$$
	\text{Если } a < b \text{ и } f(x) \ge 0 \text{ на } [a, b], \text{ то } \int_a^b f(x) \, dx \ge 0.
	$$

13. Если верхний предел интегрирования больше нижнего и функции $f(x)$ и $g(x)$ непрерывны, то неравенство $f(x) \ge g(x)$ можно почленно интегрировать:
	$$
	\text{Если } a < b, \, f(x) \ge g(x) \text{ на } [a, b] \text{ и } f, g - \text{непрерывны, то } \int_a^b f(x) \, dx \ge \int_a^b g(x) \, dx.
	$$