	Замена переменных в определенном интеграле

# Формула замены переменных
Пусть функция $f(x)$ непрерывна на отрезке $[a, b]$, и пусть функция $\varphi(t)$ дифференцируема на отрезке $[\alpha, \beta]$ и при этом $\varphi' (t) \ne 0$ на этом отрезке. Предположим, что $x = \varphi(t)$ - замена переменных, при которой $\varphi(\alpha) = a$ и $\varphi(\beta) = b$. Тогда определенный интеграл от функции $f(x)$ на отрезке $[a, b]$ можно вычислить по формуле:

$$
\int_a^b f(x) \, dx = \int_{\alpha}^{\beta} f(\varphi(t)) \varphi'(t) \, dt.
$$

Здесь $f(\varphi(t))$ - функция $f(x)$, в которой выполнена замена переменных $x = \varphi(t)$, а $\varphi'(t)$ - производная функции $\varphi(t)$ по переменной $t$.

## Геометрический смысл
Геометрически замена переменных в определенном интеграле означает, что мы деформируем область интегрирования таким образом, чтобы она стала более простой. При этом значение интеграла не меняется, так как мы учитываем изменение масштаба при деформации.

## Примеры

1. Вычислим интеграл $\int_0^1 x \sqrt{1 - x^2} \, dx$.
	Заменим переменную $x = \sin t$, где $t \in [0, \frac{\pi}{2}]$. Тогда $dx = \cos t \, dt$ и $\sqrt{1 - x^2} = \cos t$. Подставляя эти выражения в интеграл, получаем:
	
	$$
	\int_0^1 x \sqrt{1 - x^2} \, dx = \int_0^{\frac{\pi}{2}} \sin t \cos^2 t \, dt.
	$$
	
	Теперь мы можем воспользоваться формулой редукции для интеграла от степени синуса или косинуса и вычислить интеграл:
	
	$$
	\int_0^{\frac{\pi}{2}} \sin t \cos^2 t \, dt = \left[ -\frac{1}{3} \cos^3 t \right]_0^{\frac{\pi}{2}} = -\frac{1}{3} \cos^3 \frac{\pi}{2} + \frac{1}{3} \cos^3 0 = \frac{1}{3}.
	$$

2. Вычислим интеграл $\int_0^2 x e^{x^2} \, dx$.
	Заменим переменную $u = x^2$, тогда $du = 2x \, dx$ и $x \, dx = \frac{1}{2} du$. Пределы интегрирования при замене переменных изменятся следующим образом: $u(0) = 0^2 = 0$ и $u(2) = 2^2 = 4$. Подставляя эти выражения в интеграл, получаем:
	
	$$
	\int_0^2 x e^{x^2} \, dx = \frac{1}{2} \int_0^4 e^u \, du.
	$$
	
	Теперь мы можем легко вычислить интеграл:
	
	$$
	\frac{1}{2} \int_0^4 e^u \, du = \frac{1}{2} \left[ e^u \right]_0^4 = \frac{1}{2} (e^4 - e^0) = \frac{1}{2} (e^4 - 1).
	$$

## Правила замены переменных
- Функция $\varphi(t)$ должна быть дифференцируема на отрезке $[\alpha, \beta]$;
- Производная $\varphi'(t)$ не должна обращаться в ноль на отрезке $[\alpha, \beta]$;
- Пределы интегрирования должны соответствовать образу функции $\varphi(t)$ на отрезке $[\alpha, \beta]$.
