	Определение экстремума функции двух переменных. Необходимое условие экстремума. Достаточное условие экстремума:

# Определение
Пусть $z = f(x, y)$ - функция двух переменных, заданная в некоторой области $D$. Точка $(x_0, y_0)$ из области $D$ называется точкой экстремума функции $f(x, y)$, если существует такая окрестность $U$ точки $(x_0, y_0)$, что для всех точек $(x, y)$ из этой окрестности выполняется одно из следующих условий:
1. $f(x_0, y_0) \leq f(x, y)$ для всех $(x, y) \in U$ - точка $(x_0, y_0)$ называется точкой минимума функции $f(x, y)$;
2. $f(x_0, y_0) \geq f(x, y)$ для всех $(x, y) \in U$ - точка $(x_0, y_0)$ называется точкой максимума функции $f(x, y)$.

Если в некоторой окрестности точки $(x_0, y_0)$ выполняется одно из этих условий, но не выполняется другое, то точка $(x_0, y_0)$ называется точкой седловой точки функции $f(x, y)$.

# Необходимое условие экстремума
Теорема. Если точка $(x_0, y_0)$ является точкой экстремума функции $f(x, y)$, то необходимо, чтобы выполнялись следующие условия:
1. $f'_x(x_0, y_0) = 0$;
2. $f'_y(x_0, y_0) = 0$.

$$
f'_x(x_0, y_0) = 0, \quad f'_y(x_0, y_0) = 0
$$

> [!Замечание]
> Эти условия называются условиями первого порядка. Если они выполняются, то точка $(x_0, y_0)$ называется стационарной точкой функции $f(x, y)$.

# Достаточное условие экстремума
Теорема. Пусть точка $(x_0, y_0)$ является стационарной точкой функции $f(x, y)$, т.е. выполняются условия первого порядка:
$$
f'_x(x_0, y_0) = 0, \quad f'_y(x_0, y_0) = 0
$$

Тогда:
1. Если $f''_{xx}(x_0, y_0) > 0$ и $D = f''_{xx}(x_0, y_0)f''_{yy}(x_0, y_0) - f''_{xy}(x_0, y_0)^2 > 0$, то точка $(x_0, y_0)$ является точкой минимума функции $f(x, y)$.
2. Если $f''_{xx}(x_0, y_0) < 0$ и $D = f''_{xx}(x_0, y_0)f''_{yy}(x_0, y_0) - f''_{xy}(x_0, y_0)^2 > 0$, то точка $(x_0, y_0)$ является точкой максимума функции $f(x, y)$.
3. Если $D = f''_{xx}(x_0, y_0)f''_{yy}(x_0, y_0) - f''_{xy}(x_0, y_0)^2 < 0$, то точка $(x_0, y_0)$ является седловой точкой функции $f(x, y)$.
4. Если $D = f''_{xx}(x_0, y_0)f''_{yy}(x_0, y_0) - f''_{xy}(x_0, y_0)^2 = 0$, то достаточного условия экстремума нет.


# Примеры
1. Найти экстремумы функции $f(x, y) = x^2 + y^2 - 2x - 4y + 5$.
	**Решение**:
	
	Найдем частные производные первого порядка:
	
	$$
	f'_x(x, y) = 2x - 2, \quad f'_y(x, y) = 2y - 4
	$$
	
	Найдем стационарные точки, решив систему уравнений:
	
	$$
	\begin{cases}
	2x - 2 = 0, \\
	2y - 4 = 0
	\end{cases}
	$$
	
	Получим точку $(1, 2)$.
	
	Найдем частные производные второго порядка:
	
	$$
	f''_{xx}(x, y) = 2, \quad f''_{yy}(x, y) = 2, \quad f''_{xy}(x, y) = 0
	$$
	
	Вычислим определитель матрицы Гессе:
	
	$$
	D = f''_{xx}(1, 2)f''_{yy}(1, 2) - f''_{xy}(1, 2)^2 = 2 \cdot 2 - 0^2 = 4 > 0
	$$
	
	Так как $f''_{xx}(1, 2) > 0$, то точка $(1, 2)$ является точкой минимума функции $f(x, y)$.
	
	**Ответ**: Точка $(1, 2)$ - точка минимума функции $f(x, y) = x^2 + y^2 - 2x - 4y + 5$.

2. Найти экстремумы функции $f(x, y) = x^2 - y^2 + 2x + 4y - 5$.
	**Решение**:
	
	Найдем частные производные первого порядка:
	$$
	f'_x(x, y) = 2x + 2, \quad f'_y(x, y) = -2y + 4
	$$
	
	Найдем стационарные точки, решив систему уравнений:
	$$
	\begin{cases}
	2x + 2 = 0, \\
	-2y + 4 = 0
	\end{cases}
	$$
	
	Получим точку $(-1, 2)$.
	
	Найдем частные производные второго порядка:
	$$
	f''_{xx}(x, y) = 2, \quad f''_{yy}(x, y) = -2, \quad f''_{xy}(x, y) = 0
	$$
	
	Вычислим определитель матрицы Гессе:
	$$
	D = f''_{xx}(-1, 2)f''_{yy}(-1, 2) - f''_{xy}(-1, 2)^2 = 2 \cdot (-2) - 0^2 = -4 < 0
	$$
	
	Так как $D < 0$, то точка $(-1, 2)$ является седловой точкой функции $f(x, y)$.
	
	**Ответ**: Точка $(-1, 2)$ - седловая точка функции $f(x, y) = x^2 - y^2 + 2x + 4y - 5$.

> [!?]
> Матрица Гессе - это квадратная матрица второго порядка, составленная из вторых частных производных функции нескольких переменных. Она названа в честь немецкого математика Отто Гессе.
> Пусть $f(x_1, x_2, ..., x_n)$ - функция $n$ переменных, заданная в некоторой области $D$. Тогда матрицей Гессе функции $f$ называется матрица $H(f)$, составленная из вторых частных производных функции $f$:
> $$
H(f) =
\begin{pmatrix}
\frac{\partial^2 f}{\partial x\_1^2} & \frac{\partial^2 f}{\partial x\_1 \partial x\_2} & \dots & \frac{\partial^2 f}{\partial x\_1 \partial x\_n} \\
\frac{\partial^2 f}{\partial x\_2 \partial x\_1} & \frac{\partial^2 f}{\partial x\_2^2} & \dots & \frac{\partial^2 f}{\partial x\_2 \partial x\_n} \\
\vdots & \vdots & \ddots & \vdots \\
\frac{\partial^2 f}{\partial x\_n \partial x\_1} & \frac{\partial^2 f}{\partial x\_n \partial x\_2} & \dots & \frac{\partial^2 f}{\partial x\_n^2}
\end{pmatrix}
$$