	Арифметические свойства предела функции двух переменных

# Определение
1. Сумма пределов равна пределу суммы:
	$$
	\lim_{(x, y) \rightarrow (x_0, y_0)} (f(x, y) + g(x, y)) = \lim_{(x, y) \rightarrow (x_0, y_0)} f(x, y) + \lim_{(x, y) \rightarrow (x_0, y_0)} g(x, y)
	$$

2. Произведение пределов равно пределу произведения:
	$$
	\lim_{(x, y) \rightarrow (x_0, y_0)} (f(x, y) \cdot g(x, y)) = \lim_{(x, y) \rightarrow (x_0, y_0)} f(x, y) \cdot \lim_{(x, y) \rightarrow (x_0, y_0)} g(x, y)
	$$

3. Частное пределов равно пределу частного (при условии, что предел знаменателя не равен нулю):
	$$
	\lim_{(x, y) \rightarrow (x_0, y_0)} \frac{f(x, y)}{g(x, y)} = \frac{\lim_{(x, y) \rightarrow (x_0, y_0)} f(x, y)}{\lim_{(x, y) \rightarrow (x_0, y_0)} g(x, y)}
	$$

4. Предел степени равен степени предела (при условии, что предел основания положителен):
	$$
	\lim_{(x, y) \rightarrow (x_0, y_0)} (f(x, y))^n = (\lim_{(x, y) \rightarrow (x_0, y_0)} f(x, y))^n
	$$

5. Предел корня равен корню предела (при условии, что предел подкоренного выражения неотрицателен):
	$$
	\lim_{(x, y) \rightarrow (x_0, y_0)} \sqrt[n]{f(x, y)} = \sqrt[n]{\lim_{(x, y) \rightarrow (x_0, y_0)} f(x, y)}
	$$

# Примеры
1. Найти предел функции $f(x, y) = \frac{x^2 + y^2}{x^2 - y^2} + \frac{x^2 - y^2}{x^2 + y^2}$ при $(x, y) \rightarrow (0, 0)$.
	**Решение**:
	
	Заметим, что функция $f(x, y)$ не определена в точке $(0, 0)$. Поэтому мы должны найти предел функции при приближении к этой точке. Для этого воспользуемся арифметическими свойствами предела функции двух переменных:
	
	$$
	\lim_{(x, y) \rightarrow (0, 0)} f(x, y) = \lim_{(x, y) \rightarrow (0, 0)} \frac{x^2 + y^2}{x^2 - y^2} + \lim_{(x, y) \rightarrow (0, 0)} \frac{x^2 - y^2}{x^2 + y^2}
	$$
	
	Воспользуемся полярными координатами: $x = r \cos \theta$, $y = r \sin \theta$. Тогда
	
	$$
	\lim_{(x, y) \rightarrow (0, 0)} \frac{x^2 + y^2}{x^2 - y^2} = \lim_{r \rightarrow 0} \frac{r^2}{r^2 \cos 2\theta} = \lim_{r \rightarrow 0} \frac{1}{\cos 2\theta}
	$$
	
	$$
	\lim_{(x, y) \rightarrow (0, 0)} \frac{x^2 - y^2}{x^2 + y^2} = \lim_{r \rightarrow 0} \frac{r^2 \cos 2\theta}{r^2} = \lim_{r \rightarrow 0} \cos 2\theta
	$$
	
	Так как $\cos 2\theta$ - ограниченная функция, то предел $\lim_{r \rightarrow 0} \cos 2\theta$ не существует. Значит, предел $\lim_{(x, y) \rightarrow (0, 0)} f(x, y)$ также не существует.

2. Найти предел функции $f(x, y) = \frac{x^2 y}{x^4 + y^2} + \frac{x y^2}{x^2 + y^4}$ при $(x, y) \rightarrow (0, 0)$.
	**Решение**:
	
	Заметим, что функция $f(x, y)$ определена в точке $(0, 0)$ и равна нулю. Поэтому мы должны найти предел функции при приближении к этой точке. Для этого воспользуемся арифметическими свойствами предела функции двух переменных:
	
	$$
	\lim_{(x, y) \rightarrow (0, 0)} f(x, y) = \lim_{(x, y) \rightarrow (0, 0)} \frac{x^2 y}{x^4 + y^2} + \lim_{(x, y) \rightarrow (0, 0)} \frac{x y^2}{x^2 + y^4}
	$$
	
	Воспользуемся полярными координатами: $x = r \cos \theta$, $y = r \sin \theta$. Тогда
	
	$$
	\lim_{(x, y) \rightarrow (0, 0)} \frac{x^2 y}{x^4 + y^2} = \lim_{r \rightarrow 0} \frac{r^3 \cos^2 \theta \sin \theta}{r^4 \cos^4 \theta + r^2 \sin^2 \theta} = \lim_{r \rightarrow 0} \frac{r \cos^2 \theta \sin \theta}{r^2 \cos^4 \theta + \sin^2 \theta} = 0
	$$
	
	$$
	\lim_{(x, y) \rightarrow (0, 0)} \frac{x y^2}{x^2 + y^4} = \lim_{r \rightarrow 0} \frac{r^3 \cos \theta \sin^2 \theta}{r^2 \cos^2 \theta + r^4 \sin^4 \theta} = \lim_{r \rightarrow 0} \frac{r \cos \theta \sin^2 \theta}{r^2 \cos^2 \theta + r^4 \sin^4 \theta} = 0
	$$
	
	Так как оба предела равны нулю, то предел $\lim_{(x, y) \rightarrow (0, 0)} f(x, y)$ также равен нулю.