	Частные производные первого порядка, дифференциал первого порядка функции двух переменных: определения, арифметические свойства:

# Определение
Пусть $f(x, y)$ - функция двух переменных, заданная в некоторой окрестности точки $(x_0, y_0)$. Частной производной функции $f(x, y)$ по переменной $x$ в точке $(x_0, y_0)$ называется предел:
$$
\lim_{\Delta x \rightarrow 0} \frac{f(x_0 + \Delta x, y_0) - f(x_0, y_0)}{\Delta x}
$$

Обозначается она следующим образом:
$$
f'_x(x_0, y_0) \text{ или } \frac{\partial f}{\partial x}(x_0, y_0)
$$

Аналогично определяется частная производная функции $f(x, y)$ по переменной $y$ в точке $(x_0, y_0)$:
$$
\lim_{\Delta y \rightarrow 0} \frac{f(x_0, y_0 + \Delta y) - f(x_0, y_0)}{\Delta y}
$$

Обозначается она следующим образом:
$$
f'_y(x_0, y_0) \text{ или } \frac{\partial f}{\partial y}(x_0, y_0)
$$

Дифференциалом первого порядка функции $f(x, y)$ в точке $(x_0, y_0)$ называется линейная функция $\Delta z = f'_x(x_0, y_0) \Delta x + f'_y(x_0, y_0) \Delta y$, где $\Delta x$ и $\Delta y$ - приращения переменных $x$ и $y$ соответственно.

$$
\Delta z = f'_x(x_0, y_0) \Delta x + f'_y(x_0, y_0) \Delta y
$$

# Арифметические свойства
1. Линейность частных производных:
	$$
	(kf(x, y))'_x = kf'_x(x, y), \quad (kf(x, y))'_y = kf'_y(x, y)
	$$
	
	$$
	(f(x, y) \pm g(x, y))'_x = f'_x(x, y) \pm g'_x(x, y), \quad (f(x, y) \pm g(x, y))'_y = f'_y(x, y) \pm g'_y(x, y)
	$$

2. Произведение функций:
	$$
	(f(x, y) \cdot g(x, y))'_x = f'_x(x, y) \cdot g(x, y) + f(x, y) \cdot g'_x(x, y)
	$$
	
	$$
	(f(x, y) \cdot g(x, y))'_y = f'_y(x, y) \cdot g(x, y) + f(x, y) \cdot g'_y(x, y)
	$$

3. Частное функций:
	$$
	\left(\frac{f(x, y)}{g(x, y)}\right)'_x = \frac{f'_x(x, y) \cdot g(x, y) - f(x, y) \cdot g'_x(x, y)}{g^2(x, y)}
	$$
	
	$$
	\left(\frac{f(x, y)}{g(x, y)}\right)'_y = \frac{f'_y(x, y) \cdot g(x, y) - f(x, y) \cdot g'_y(x, y)}{g^2(x, y)}
	$$

4. Дифференциал суммы функций равен сумме дифференциалов:
	$$
	\Delta(f(x, y) + g(x, y)) = \Delta f(x, y) + \Delta g(x, y)
	$$

5. Дифференциал произведения функций равен сумме произведений функций на дифференциалы:
	$$
	\Delta(f(x, y) \cdot g(x, y)) = f(x, y) \cdot \Delta g(x, y) + g(x, y) \cdot \Delta f(x, y)
	$$

6. Дифференциал частного функций равен частному от разности произведений функций на дифференциалы на квадрат знаменателя:
	$$
	\Delta\left(\frac{f(x, y)}{g(x, y)}\right) = \frac{g(x, y) \cdot \Delta f(x, y) - f(x, y) \cdot \Delta g(x, y)}{g^2(x, y)}
	$$

# Примеры
1. Найти частные производные функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 2)$.
	**Решение**:
	
	Найдем частную производную по переменной $x$:
	$$
	f'_x(x, y) = 2xy + 3y^2
	$$
	
	Подставим значения $x = 1$ и $y = 2$:
	$$
	f'_x(1, 2) = 2 \cdot 1 \cdot 2 + 3 \cdot 2^2 = 16
	$$
	
	Найдем частную производную по переменной $y$:
	$$
	f'_y(x, y) = x^2 + 6xy
	$$
	
	Подставим значения $x = 1$ и $y = 2$:
	$$
	f'_y(1, 2) = 1^2 + 6 \cdot 1 \cdot 2 = 13
	$$
	
	**Ответ**: $f'_x(1, 2) = 16$, $f'_y(1, 2) = 13$.

2. Найти дифференциал функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 2)$.
	**Решение**:
	
	Найдем частные производные функции:
	$$
	f'_x(x, y) = 2xy + 3y^2, \quad f'_y(x, y) = x^2 + 6xy
	$$
	
	Подставим значения $x = 1$ и $y = 2$:
	$$
	f'_x(1, 2) = 16, \quad f'_y(1, 2) = 13
	$$
	
	Найдем дифференциал функции:
	$$
	\Delta z = f'_x(1, 2) \Delta x + f'_y(1, 2) \Delta y = 16 \Delta x + 13 \Delta y
	$$
	
	**Ответ**: $\Delta z = 16 \Delta x + 13 \Delta y$.

