	Частные производные и дифференциалы высших порядков функции двух переменных

# Определение
Пусть $z = f(x, y)$ - функция двух переменных, заданная в некоторой окрестности точки $(x_0, y_0)$. Частной производной функции $f(x, y)$ по переменной $x$ в точке $(x_0, y_0)$ называется предел:

$$
\lim_{\Delta x \rightarrow 0} \frac{f(x_0 + \Delta x, y_0) - f(x_0, y_0)}{\Delta x}
$$

Обозначается она следующим образом:
$$
f'_x(x_0, y_0) \text{ или } \frac{\partial f}{\partial x}(x_0, y_0)
$$

Аналогично определяется частная производная функции $f(x, y)$ по переменной $y$ в точке $(x_0, y_0)$:
$$
\lim_{\Delta y \rightarrow 0} \frac{f(x_0, y_0 + \Delta y) - f(x_0, y_0)}{\Delta y}
$$

Обозначается она следующим образом:
$$
f'_y(x_0, y_0) \text{ или } \frac{\partial f}{\partial y}(x_0, y_0)
$$

Дифференциалом первого порядка функции $f(x, y)$ в точке $(x\_0, y\_0)$ называется линейная функция $\Delta z = f'_x(x_0, y_0) \Delta x + f'_y(x_0, y_0) \Delta y$, где $\Delta x$ и $\Delta y$ - приращения переменных $x$ и $y$ соответственно.

$$
\Delta z = f'_x(x_0, y_0) \Delta x + f'_y(x_0, y_0) \Delta y
$$

Частные производные и дифференциалы высших порядков определяются аналогично. Например, вторыми частными производными функции $f(x, y)$ называются производные от частных производных первого порядка:

$$
f''_{xx}(x, y) = \frac{\partial^2 f}{\partial x^2}(x, y)
\quad f''_{xy}(x, y) = \frac{\partial^2 f}{\partial y \partial x}(x, y)
\quad f''_{yx}(x, y) = \frac{\partial^2 f}{\partial x \partial y}(x, y)
\quad f''_{yy}(x, y) = \frac{\partial^2 f}{\partial y^2}(x, y)
$$

# Свойства
1. Линейность частных производных:
	$$
	(kf(x, y))''_{xx} = kf''_{xx}(x, y), \quad (kf(x, y))''_{xy} = kf''_{xy}(x, y), \quad (kf(x, y))''_{yx} = kf''_{yx}(x, y), \quad (kf(x, y))''_{yy} = kf''_{yy}(x, y)
	$$
	
	$$
	(f(x, y) \pm g(x, y))''_{xx} = f''_{xx}(x, y) \pm g''_{xx}(x, y), \quad (f(x, y) \pm g(x, y))''_{xy} = f''_{xy}(x, y) \pm g''_{xy}(x, y)
	$$
	
	$$
	(f(x, y) \pm g(x, y))''_{yx} = f''_{yx}(x, y) \pm g''_{yx}(x, y), \quad (f(x, y) \pm g(x, y))''_{yy} = f''_{yy}(x, y) \pm g''_{yy}(x, y)
	$$

2. Произведение функций:
	$$
	(f(x, y) \cdot g(x, y))''_{xx} = f''_{xx}(x, y) \cdot g(x, y) + 2f'_x(x, y) \cdot g'_x(x, y) + f(x, y) \cdot g''_{xx}(x, y)
	$$
	
	$$
	(f(x, y) \cdot g(x, y))''_{xy} = f''_{xy}(x, y) \cdot g(x, y) + f'_x(x, y) \cdot g'_y(x, y) + f'_y(x, y) \cdot g'_x(x, y) + f(x, y) \cdot g''_{xy}(x, y)
	$$
	
	$$
	(f(x, y) \cdot g(x, y))''_{yx} = f''_{yx}(x, y) \cdot g(x, y) + f'_x(x, y) \cdot g'_y(x, y) + f'_y(x, y) \cdot g'_x(x, y) + f(x, y) \cdot g''_{yx}(x, y)
	$$
	
	$$
	(f(x, y) \cdot g(x, y))''_{yy} = f''_{yy}(x, y) \cdot g(x, y) + 2f'_y(x, y) \cdot g'_y(x, y) + f(x, y) \cdot g''_{yy}(x, y)
	$$

3. Частные функций:
	$$
	\left(\frac{f(x, y)}{g(x, y)}\right)''_{xx} = \frac{g(x, y) \cdot f''_{xx}(x, y) - 2f'_x(x, y) \cdot g'_x(x, y) + f(x, y) \cdot g''_{xx}(x, y)}{g^2(x, y)}
	$$
	
	$$
	\left(\frac{f(x, y)}{g(x, y)}\right)''_{xy} = \frac{g(x, y) \cdot f''_{xy}(x, y) - f'_x(x, y) \cdot g'_y(x, y) - f'_y(x, y) \cdot g'_x(x, y) + f(x, y) \cdot g''_{xy}(x, y)}{g^2(x, y)}
	$$
	
	$$
	\left(\frac{f(x, y)}{g(x, y)}\right)''_{yx} = \frac{g(x, y) \cdot f''_{yx}(x, y) - f'_x(x, y) \cdot g'_y(x, y) - f'_y(x, y) \cdot g'_x(x, y) + f(x, y) \cdot g''_{yx}(x, y)}{g^2(x, y)}
	$$
	
	$$
	\left(\frac{f(x, y)}{g(x, y)}\right)''_{yy} = \frac{g(x, y) \cdot f''_{yy}(x, y) - 2f'_y(x, y) \cdot g'_y(x, y) + f(x, y) \cdot g''_{yy}(x, y)}{g^2(x, y)}
	$$

4. Смешанные производные:
	$$
	f''_{xy}(x, y) = f''_{yx}(x, y)
	$$

# Примеры
1. Найти частные производные второго порядка функции $f(x, y) = x^2y + 3xy^2$.
	**Решение**:
	
	Найдем частные производные первого порядка функции $f(x, y) = x^2y + 3xy^2$:
	
	$$
	f'_x(x, y) = 2xy + 3y^2, \quad f'_y(x, y) = x^2 + 6xy
	$$
	
	Найдем частные производные второго порядка функции $f(x, y) = x^2y + 3xy^2$:
	
	$$
	f''_{xx}(x, y) = 2y, \quad f''_{xy}(x, y) = 2x + 6y, \quad f''_{yx}(x, y) = 2x + 6y, \quad f''_{yy}(x, y) = 6x
	$$
	
	**Ответ**: $f''_{xx}(x, y) = 2y, f''_{xy}(x, y) = f''_{yx}(x, y) = 2x + 6y, f''_{yy}(x, y) = 6x$.

2. Найти дифференциал второго порядка функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 2)$.
	**Решение**:
	
	Найдем частные производные первого порядка функции $f(x, y) = x^2y + 3xy^2$:
	
	$$
	f'_x(x, y) = 2xy + 3y^2, \quad f'_y(x, y) = x^2 + 6xy
	$$
	
	Найдем частные производные второго порядка функции $f(x, y) = x^2y + 3xy^2$:
	
	$$
	f''_{xx}(x, y) = 2y, \quad f''_{xy}(x, y) = 2x + 6y, \quad f''_{yx}(x, y) = 2x + 6y, \quad f''_{yy}(x, y) = 6x
	$$
	
	Подставим значения $x = 1$ и $y = 2$:
	
	$$
	f'_x(1, 2) = 16, \quad f'_y(1, 2) = 13, \quad f''_{xx}(1, 2) = 4, \quad f''_{xy}(1, 2) = f''_{yx}(1, 2) = 16, \quad f''_{yy}(1, 2) = 6
	$$
	
	Найдем дифференциал второго порядка функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 2)$:
	
	$$
	d^2z = f''_{xx}(1, 2) dx^2 + 2f''_{xy}(1, 2) dx dy + f''_{yy}(1, 2) dy^2 = 4dx^2 + 32dxdy + 6dy^2
	$$
	
	**Ответ**: $d^2z = 4dx^2 + 32dxdy + 6dy^2$.