>Понятие ДУ 1-го порядка, решение ДУ, задача Коши, геометрический смысл ДУ и его решения. Понятия общего и частного решений для ДУ 1-го порядка.

Определение:

Дифференциальным уравнением 1-го порядка называется уравнение вида:

$$
F(x, y, y') = 0
$$

где $F$ - некоторая функция от трех переменных $x, y, y'$, $y'$ - первая производная функции $y$ по переменной $x$.

Решением дифференциального уравнения 1-го порядка называется любая функция $y = f(x)$, удовлетворяющая этому уравнению на некотором интервале, т.е. такая, что:

$$
F(x, f(x), f'(x)) = 0
$$

для всех $x$ из некоторого интервала.

Задача Коши для дифференциального уравнения 1-го порядка состоит в нахождении решения уравнения, удовлетворяющего начальному условию вида:

$$
y(x_0) = y_0
$$

где $x_0$ и $y_0$ - заданные числа.

Геометрический смысл дифференциального уравнения 1-го порядка заключается в том, что оно определяет направление касательной к графику решения уравнения в каждой точке. Решение уравнения - это кривая, касательная к которой в каждой точке имеет направление, заданное дифференциальным уравнением.

Понятия общего и частного решений для дифференциального уравнения 1-го порядка:

Общим решением дифференциального уравнения 1-го порядка называется множество всех решений уравнения, зависящих от произвольной постоянной.

Частным решением дифференциального уравнения 1-го порядка называется конкретное решение уравнения, полученное из общего решения путем присваивания произвольной постоянной определенного значения.

Примеры:

1. Найти общее решение дифференциального уравнения 1-го порядка:

$$
y' = 2x
$$

Решение:

Интегрируем обе части уравнения:

$$
y = x^2 + C
$$

где $C$ - произвольная постоянная.

Ответ: Общее решение дифференциального уравнения $y' = 2x$ имеет вид $y = x^2 + C$.

2. Найти частное решение дифференциального уравнения 1-го порядка:

$$
y' = 2x
$$

с начальным условием $y(1) = 2$.

Решение:

Найдем общее решение уравнения:

$$
y = x^2 + C
$$

Подставим начальное условие:

$$
2 = 1^2 + C
$$

Найдем значение произвольной постоянной:

$$
C = 1
$$

Подставим значение произвольной постоянной в общее решение:

$$
y = x^2 + 1
$$

Ответ: Частное решение дифференциального уравнения $y' = 2x$ с начальным условием $y(1) = 2$ имеет вид $y = x^2 + 1$.
