>Линейные ДУ 1-го порядка. Теорема о структуре общего решения линейного неоднородного уравнения. Метод интегрирования линейного неоднородного уравнения (метод Лагранжа вариации произвольной постоянной).


1. Линейные ДУ 1-го порядка

Линейное дифференциальное уравнение 1-го порядка имеет вид:

$$
\frac{dy}{dx} + P(x)y = Q(x) \tag{1}
$$

где $y = y(x)$ - неизвестная функция, $x$ - независимая переменная, $P(x)$ и $Q(x)$ - непрерывные функции на некотором интервале $(a, b)$.

2. Теорема о структуре общего решения линейного неоднородного уравнения

Теорема. Общее решение линейного неоднородного уравнения (1) представляет собой сумму общего решения соответствующего однородного уравнения (решения с нулевым правой частью) и одного частного решения неоднородного уравнения:

$$
y(x) = y_0(x) + y_p(x) \tag{2}
$$

где $y_0(x)$ - общее решение однородного уравнения $\frac{dy}{dx} + P(x)y = 0$, а $y_p(x)$ - частное решение неоднородного уравнения (1).

3. Метод Лагранжа вариации произвольной постоянной

Для нахождения частного решения неоднородного уравнения (1) можно воспользоваться методом Лагранжа вариации произвольной постоянной. Этот метод заключается в следующем:

- Найти общее решение однородного уравнения $y_0(x) = C \cdot e^{-\int P(x) dx}$, где $C$ - произвольная постоянная.

- Предположить, что частное решение неоднородного уравнения имеет вид $y_p(x) = C(x) \cdot e^{-\int P(x) dx}$, где $C(x)$ - некоторая функция от $x$.

- Найти функцию $C(x)$, подставляя $y_p(x)$ в уравнение (1) и решая полученное дифференциальное уравнение относительно $C(x)$.

- Найти частное решение $y_p(x)$ и построить общее решение неоднородного уравнения (1) по формуле (2).

4. Примеры решения линейных неоднородных ДУ 1-го порядка

Рассмотрим несколько примеров решения линейных неоднородных дифференциальных уравнений 1-го порядка с помощью метода Лагранжа вариации произвольной постоянной.

Пример 1. Решить уравнение:
$$
\frac{dy}{dx} + y = e^x \tag{3}
$$

Решение. Найдем общее решение однородного уравнения $\frac{dy}{dx} + y = 0$:

$$
y_0(x) = C \cdot e^{-\int dx} = C \cdot e^{-x}
$$

Предположим, что частное решение неоднородного уравнения (3) имеет вид $y_p(x) = C(x) \cdot e^{-x}$. Подставим это выражение в уравнение (3):

$$
-C(x)e^{-x} + C'(x)e^{-x} + C(x)e^{-x} = e^x
$$

Отсюда находим $C'(x)$:

$$
C'(x) = e^{2x}
$$

Интегрируя эту функцию, получим $C(x)$:

$$
C(x) = \int e^{2x} dx = \frac{1}{2}e^{2x} + C_1
$$

Найдем частное решение $y_p(x)$:

$$
y_p(x) = C(x) \cdot e^{-x} = \frac{1}{2}e^x
$$

Общее решение уравнения (3):

$$
y(x) = y_0(x) + y_p(x) = C \cdot e^{-x} + \frac{1}{2}e^x \tag{4}
$$

Пример 2. Решить уравнение:
$$
\frac{dy}{dx} - \frac{2}{x}y = x^3 \tag{5}
$$

Решение. Найдем общее решение однородного уравнения $\frac{dy}{dx} - \frac{2}{x}y = 0$:

$$
y_0(x) = C \cdot e^{\int \frac{2}{x} dx} = C \cdot x^2
$$

Предположим, что частное решение неоднородного уравнения (5) имеет вид $y_p(x) = C(x) \cdot x^2$. Подставим это выражение в уравнение (5):

$$
2C(x)x + C'(x)x^2 - 2C(x)x = x^3
$$

Отсюда находим $C'(x)$:

$$
C'(x) = x
$$

Интегрируя эту функцию, получим $C(x)$:

$$
C(x) = \int x dx = \frac{1}{2}x^2 + C_1
$$

Найдем частное решение $y_p(x)$:

$$
y_p(x) = C(x) \cdot x^2 = \frac{1}{2}x^4
$$

Общее решение уравнения (5):

$$
y(x) = y_0(x) + y_p(x) = C \cdot x^2 + \frac{1}{2}x^4 \tag{6}
$$
