> Функции, сохраняющие константы. Замкнутость классов $𝑇_0$, $𝑇_1$

# Функции, сохраняющие константы
## Функции, сохраняющие 0
Функция сохраняет константу 0, если $f(0, 0, \dots, 0) = 0$ и обозначается $T_0$

###### Теорема. Класс $T_0$ замкнут
Достаточно доказать, что при применении операций переименования переменных и подстановки к функциям из класса получается функция из этого же класса.

Для переименования это очевидно.

Рассмотрим операцию подстановки. Пусть
$𝑓(𝑥_1, 𝑥_2, \dots, 𝑥_𝑛) \in 𝑇_0$ и $𝑔(𝑦_1, 𝑦_2, \dots, 𝑦_𝑚) \in 𝑇_0$. Рассмотрим функцию ℎ, полученную в результате подстановки 𝑔 в 𝑓 вместо $𝑥_𝑘$: $ℎ = 𝑓(𝑥_1, 𝑥_2, \dots, 𝑥_{𝑘−1}, 𝑔(𝑦_1, 𝑦_2, \dots, 𝑦_𝑚), 𝑥_{𝑘+1}, \dots, 𝑥_𝑛)$

Доказательство одинаковое при любом 𝑘, поэтому, не
теряя общности, положим $𝑘 = 𝑛$: $h(x_1, x_2, \dots, x_{n-1}, y_1, y_2, \dots, y_m) = f(x_1, x_2, \dots, x_{n-1}, g(y_1, y_2, \dots, y_m))$

Отметим, что некоторые из $𝑦_1, 𝑦_2, \dots, 𝑦_𝑛$ могут совпадать с некоторыми из $𝑥_1, 𝑥_2, \dots 𝑥_{𝑛−1}$, то есть фактически ℎ может зависеть от меньшего числа переменных.

Подставляя нулевые значения, получаем $ℎ(0, 0, \dots, 0) = 𝑓(0, \dots, 0, 𝑔 (0, 0, \dots, 0)) = 𝑓(0,0, \dots, 0) = 0 \Rightarrow ℎ \in 𝑇_0$.

Если функция сохраняет 0, то определяется своими значениями на всех наборах значений переменных, кроме набора $(0, 0, \dots, 0)$, т.е. $2^n - 1$. Следовательно, число функций, сохраняющих 0 - $2^{2^n - 1}$

Функция сохраняет константу 1, если $f(1, 1, \dots, 1) = 1$ и обозначается $T_1$

###### Теорема. Класс $T_1$ замкнут
Доказательство аналогичное