	Булева алгебра и её основные свойства. Булевы формулы. Нормальные формы (ДНФ и КНФ). Преобразование формул к ДНФ и КНФ.

# Булева алгебра и её основные свойства
   Система $<A, \{\&, |, \bar{}, 0, 1 \}>$
		   Множество **А**
		   2 элемента: **0, 1**
		   2 бинарных операций: &, |
		   Унарная операция: $\bar{}$
	со следующими свойствами:
1. Ассоциативность
	$x \wedge (y \wedge z) = (x \wedge y) \wedge z$
	$x \vee (y \vee z) = (x \vee y) \vee z$
2. Коммутативность
	$x \wedge y = y \wedge x$
	$x \vee y = y \vee x$
3. Дистрибутивность
	$x \wedge (y \vee z) = (x \wedge y) \vee (x \wedge z)$
	$x \vee (y \wedge z) = (x \vee y) \wedge (x \vee z)$
4. Идемпотентность
	$x \wedge x = x$, $x \vee x = x$
## Основные функции
1. Законы де Моргана
	  $\overline{(x \wedge y)} = \bar y \vee \bar x$
	  $\overline {(x \vee y)} = \bar y \wedge \bar x$
2. Закон двойного отрицания
	   $\bar{\bar x} = x$
3. Закон противоречия (исключённого третьего)
	   $x \wedge \bar x = 0$
	   $x \vee \bar x = 1$
4. Свойства констант
	   $x \wedge 0 = 0$, $x \vee 1 = 1$
	   $x \wedge 1 = x$, $x \vee 0 = x$
	   $\bar1 = 0$, $\bar0 = 1$
5. Законы поглощения
	   $x \wedge (x \vee y) = x$
	   $x \vee (x \wedge y) = x$
6. Закон Блейка-Порецкого
	   $x \wedge (\bar x \vee y) = x \wedge y$
	   $x \vee (\bar x \wedge y) = x \vee y$
# Булева формула
\- формула, в которой используются только операции отрицания, конъюнкции и дизъюнкции с константами 0 и 1

# Нормальные формы (ДНФ и КНФ)
## ДНФ
**Дизъюнктивная нормальная форма** - формула вида 0 или $K_1 \vee K_2 \vee \dots \vee K_m$, где $K$ - попарно различные коэффициенты

## КНФ
**Конъюнктивная нормальная форма** - формула 1 или формула вида $D_1 \cdot D_2 \cdot \dots \cdot D_m$, где $D$ - попарно различные элементарные дизъюнкции