# Уровни абстракции электронной вычислительной системы
1. **Физика (электроны)**
   - Поведение электронов описывается квантовой механикой и системой уравнений Максвелла.

2. **Полупроводниковые устройства (транзисторы, диоды и т.д.)**
   - Каждое устройство имеет четко определенные точки соединения с другими подобными устройствами - контакты.

3. **Аналоговые схемы**
   - Полупроводниковые устройства соединены в функциональные компоненты (усилители и фильтры). Переход на аналоговом уровне занимает время, что сказывается на скорости выполнения вычислений (время такта).

4. **Цифровые схемы**
   - С помощью дополнительного уровня абстракции вводятся новые понятия (хранения бит) и новые операции над ними.

5. **Логические элементы (сумматоры, арифметико-логические устройства)**
   - Предназначены для обработки информации в цифровой форме. Если есть 4 вещи: хранение, конъюнкция, дизъюнкция, отрицание, то можно реализовать компьютер. На практике хватает «не и».

6. **Микроархитектура**
   - Есть требования по ресурсам процессора, командам процессора. Разработчики архитектуры должны собрать процессор под эти требования. Микроархитектура - соединение простейших цифровых элементов в логические блоки, предназначенные для выполнения команд, определенных какой-либо архитектурой.

7. **Архитектура (инструкции, регистры)**
   - Описывает компьютер с точки зрения программиста. В архитектуре описываются модель процессора, его характеристики (сколько регистров, какие операции позволяются, сколько памяти он может адресовать) и функциональные возможности (контракт между разработчиками ПО и разработчиками аппаратного обеспечения).

8. **Операционная система**
   - Управляет операциями нижнего уровня, такими как: доступ к жесткому диску или управление памятью.

9. **Программное обеспечение**
   - Использует ресурсы аппаратуры и ОС для разрешения конкретных задач пользователя.