# Равномерно сходящиеся функциональные ряды, связь между сходимостью и равномерной сходимостью функционального ряда

## Равномерная сходимость функциональных рядов
Функциональный ряд $\sum\limits_{n=1}^\infty f_n(x)$ называется **равномерно сходящимся** на множестве $D$, если для любого $\varepsilon>0$ существует такое число $N(\varepsilon)$, что для всех $n \geq N(\varepsilon)$ и для всех $x\in D$ выполняется неравенство: $|S(x)-S_n(x)| < \varepsilon$, где: ^392550
- $S(x) = \sum\limits_{n=1}^\infty f_n(x)$ — [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/10#^f4f31b|сумма ряда]]
- $S_n(x) = \sum\limits_{k=1}^n f_k(x)$ — [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/10#^2cb2e9|частичная сумма ряда]].

## Связь между сходимостью и равномерной сходимостью
**Равномерная сходимость** функционального ряда влечет за собой его обычную *сходимость*, но обратное неверно. Равномерная сходимость обеспечивает более сильные свойства, такие как *непрерывность* суммы ряда и возможность *почленного интегрирования* и *дифференцирования*.

### Пример
Рассмотрим ряд $\sum\limits_{n=1}^\infty \frac{\sin(nx)}{n^2}$.

Оценим $|f_n(x)|$: $\left| \frac{\sin(nx)}{n^2} \right| \leq \frac 1 {n^2}$

Ряд $\sum\limits_{n=1}^\infty \frac 1 {n^2}$ *сходится*, так как это [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/2#^e8e233|обобщенный гармонический ряд]] с $p=2>1$. Следовательно, ряд $\sum\limits_{n=1}^\infty \frac{\sin(nx)}{n^2}$ *равномерно сходится* на всей числовой прямой по [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/12#Признак Вейерштрасса|признаку Вейерштрасса]].

