# Признак Вейерштрасса равномерной сходимости функционального ряда

## Введение
Признак Вейерштрасса является важным критерием для определения равномерной сходимости функциональных рядов. Он позволяет определить, сходится ли функциональный ряд равномерно на заданном множестве, основываясь на сходимости ряда из мажорант.

> [!Термин]
> **Мажоранта** (от *majorer* — повышать) — термин, который используется в математике для обозначения "Точной верхней и нижней границ").

## Признак Вейерштрасса

### Формулировка
Пусть $\sum\limits_{n=1}^\infty f_n(x)$ — функциональный ряд, и пусть существует ряд положительных чисел $\sum\limits_{n=1}^\infty M_n$, такой что $\forall n \forall x \in D: |f_n(x)| \leq M_n$.

Если ряд $\sum\limits_{n=1}^\infty M_n$ *сходится*, то ряд $\sum\limits_{n=1}^\infty f_n(x)$ *равномерно сходится* на $D$.


### Доказательство
Рассмотрим [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/10#^2cb2e9|частичные суммы ряда]] $S_n(x)=\sum\limits_{k=1}^n f_k(x)$ и соответствующие частичные суммы ряда из мажорант $T_n=\sum\limits_{k=1}^n M_k$.

Поскольку ряд $\sum\limits_{n=1}^\infty M_n$ *сходится*, то последовательность $T_n$ ограничена. Это означает, что существует такое число $M$, что $T_n\leq M$ для всех $n$.

Теперь рассмотрим разность частичных сумм $S_m(x)-S_n(x)$ для $m>n$:
$|S_m(x) - S_n(x)| = \left| \sum\limits_{k=n+1}^m f_k(x) \right| \leq \sum\limits_{k=n+1}^m |f_k(x)| \leq \sum\limits_{k=n+1}^m M_k = T_m-T_n$

Поскольку последовательность $T_n$ *ограничена*, то и разность $T_m-T_n$ *ограничена*. Следовательно, последовательность $S_n(x)$ является фундаментальной (последовательность Коши), а значит, равномерно сходится на $D$.

### Примеры
1. $\sum\limits_{n=1}^\infty \frac{\sin(nx)}{n^2}$
	Оценим $|f_n(x)|$: $\left| \frac{\sin(nx)}{n^2} \right| \leq \frac 1 {n^2}$
	
	Ряд $\sum\limits_{n=1}^\infty \frac 1 {n^2}$ *сходится*, так как это [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/2#^e8e233|обобщенный гармонический ряд]] с $p=2>1$. Следовательно, ряд $\sum\limits_{n=1}^\infty \frac{\sin(nx)}{n^2}$ *равномерно сходится* на всей числовой прямой по признаку Вейерштрасса.

1. $\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$
	Оценим $|f_n(x)|$: $\left| \frac{\cos(nx)}{n^3} \right| \leq \frac 1 {n^3}$
	
	Ряд $\sum\limits_{n=1}^\infty \frac 1 {n^3}$ *сходится*, так как это обобщенный гармонический ряд с $p=3>1$. Следовательно, ряд $\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$ *равномерно сходится* на всей числовой прямой по признаку Вейерштрасса.
