# Свойства равномерно сходящихся рядов. Непрерывность суммы ряда. Теоремы о почленном интегрировании и почленном дифференцировании равномерно сходящегося функционального ряда.

## Свойства равномерно сходящихся рядов

### Непрерывность суммы ряда
Если функциональный ряд $\sum\limits_{n=1}^\infty f_n(x)$ *равномерно сходится* на множестве $D$, и все функции $f_n(x)$ *непрерывны* на $D$, то [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/10#^f4f31b|сумма ряда]] $S(x)=\sum\limits_{n=1}^\infty f_n(x)$ также *непрерывна* на $D$.

#### Доказательство
Пусть $\varepsilon > 0$. По определению [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/11#Равномерная сходимость функциональных рядов|равномерной сходимости]], существует такое число $N(\varepsilon)$, что для всех $n \geq N(\varepsilon)$ и для всех $x\in D$ выполняется $|S(x)-S_n(x)| < \frac \varepsilon 3$

Поскольку $f_n(x)$ *непрерывны*, то и [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/10#^2cb2e9|частичные суммы]] $S_n(x)$ *непрерывны*. Следовательно, для любого $x_0\in D$ существует такое $\delta>0$, что для всех $x\in D$ таких, что $|x-x_0|<\delta$, выполняется:
$|S_n(x)-S_n(x_0)| < \frac \varepsilon 3$

Тогда:
$|S(x)-S(x_0)| \leq |S(x)-S_n(x)| + |S_n(x)-S_n(x_0)| + |S_n(x_0)-S(x_0)| < \varepsilon$

Таким образом, $S(x)$ непрерывна на $D$.

### Почленное интегрирование
Если функциональный ряд $\sum\limits_{n=1}^\infty f_n(x)$ *равномерно сходится* на множестве $D$, и все функции $f_n(x)$ интегрируемы на $D$, то ряд можно интегрировать почленно:
$\int\limits_D \sum\limits_{n=1}^\infty f_n(x)dx = \sum\limits_{n=1}^\infty \int\limits_D f_n(x)dx$

#### Доказательство
Рассмотрим частичные суммы ряда $S_n(x)=\sum_{k=1}^{n}f_k(x)$. Поскольку ряд равномерно сходится, то:
$$
\int\limits_D S(x)dx = \int\limits_D \lim_{n\to\infty} S_n(x)dx = \lim_{n\to\infty} \int\limits_D S_n(x)dx = \lim_{n\to\infty} \sum\limits_{k=1}^n \int\limits_D f_k(x)dx = \sum_{n=1}^{\infty} \int\limits_D f_n(x)dx
$$

### Почленное дифференцирование
Если функциональный ряд $\sum\limits_{n=1}^\infty f_n(x)$ *равномерно сходится* на множестве $D$, и ряд из производных $\sum\limits_{n=1}^\infty f_n'(x)$ также *равномерно сходится* на $D$, то ряд можно дифференцировать почленно: $S'(x) = \sum\limits_{n=1}^\infty f_n'(x)$

#### Доказательство
Рассмотрим [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/10#^2cb2e9|частичные суммы ряда]] $S_n(x) = \sum\limits_{k=1}^n f_k(x)$. Поскольку ряд из производных равномерно сходится, то: $S'(x) = \lim\limits_{n\to\infty} S_n'(x) = \lim\limits_{n\to\infty} \sum\limits_{k=1}^n f_k'(x) = \sum\limits_{n=1}^\infty f_n'(x)$

## Примеры
1. $\sum\limits_{n=1}^\infty \frac{\sin(nx)}{n^2}$
	Оценим $|f_n(x)|$: $\left| \frac{\sin(nx)}{n^2} \right| \leq \frac 1 {n^2}$
	
	Ряд $\sum\limits_{n=1}^{\infty}\frac{1}{n^2}$ сходится, так как это [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/2#^e8e233|обобщенный гармонический ряд]] с $p=2>1$. Следовательно, ряд $\sum\limits_{n=1}^\infty \frac{\sin(nx)}{n^2}$ *равномерно сходится* на всей числовой прямой по [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/12#Признак Вейерштрасса|признаку Вейерштрасса]]**.
	
	Поскольку все функции $\frac{\sin(nx)}{n^2}$ *непрерывны*, то и сумма ряда $S(x)=\sum\limits_{n=1}^\infty \frac{\sin(nx)}{n^2}$ *непрерывна*.

1. $\sum\limits_{n=1}^\infty \frac{\cos(nx)}{n^3}$
	Оценим $|f_n(x)|$: $\left| \frac{\cos(nx)}{n^3} \right| \leq \frac 1 {n^3}$
	
	Ряд $\sum\limits_{n=1}^\infty \frac 1 {n^3}$ *сходится*, так как это [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/2#^e8e233|обобщенный гармонический ряд]] с $p=3>1$. Следовательно, ряд $\sum\limits_{n=1}^\infty \frac{\cos(nx)}{n^3}$ *равномерно сходится* на всей числовой прямой по [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/12#Признак Вейерштрасса|признаку Вейерштрасса]].
	
	Поскольку все функции $\frac{\cos(nx)}{n^3}$ *непрерывны*, то и сумма ряда $S(x) = \sum\limits_{n=1}^\infty \frac{\cos(nx)}{n^3}$ *непрерывна*.
