# Степенной ряд. Первая теорема Абеля. Радиус сходимости. Интервал сходимости. Промежуток сходимости.

## Степенной ряд
**Степенной ряд** имеет вид $\sum\limits_{n=0}^\infty a_nx^n$, где $a_n$ — *коэффициенты*, а $x$ — *переменная*. ^e4c1fc

**Радиус сходимости** степенного ряда $\sum\limits_{n=0}^\infty a_nx^n$ — это число $R$, такое что ряд сходится для всех $|x|<R$ и расходится для всех $|x|>R$. Радиус сходимости можно найти с помощью формулы Коши-Адамара: $R = \frac 1 {\lim\limits_{n\to\infty} \sqrt[n]{|a_n|}}$ ^92c7d3

**Интервал сходимости** степенного ряда — это интервал $(-R,R)$, где $R$ — радиус сходимости. Внутри этого интервала ряд сходится абсолютно.

**Промежуток сходимости** степенного ряда — это интервал $(-R,R)$, включая возможные точки сходимости на границах интервала. Внутри промежутка сходимости ряд сходится абсолютно, а на границах сходимость ряда может зависеть от значений коэффициентов $a_n$.

## Первая теорема Абеля
Первая теорема Абеля утверждает, что если степенной ряд $\sum\limits_{n=0}^\infty a_nx^n$ сходится в точке $x=R$ (где $R$ — радиус сходимости), то он [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/11#^392550|сходится равномерно]] на интервале $[0,R]$.

### Формулировка
Пусть степенной ряд $\sum\limits_{n=0}^\infty a_nx^n$ *сходится* в точке $x=R$. Тогда ряд *сходится равномерно* на интервале $[0,R]$.

### Доказательство
Рассмотрим частичные суммы ряда $S_n(x) = \sum\limits_{k=0}^n a_kx^k$. Поскольку ряд сходится в точке $x=R$, то для любого $\varepsilon > 0$ существует такое число $N(\varepsilon)$, что для всех $n \geq N(\varepsilon)$ выполняется $|S(R)-S_n(R)| < \varepsilon$

Теперь рассмотрим разность частичных сумм $S_m(x)-S_n(x)$ для $m>n$: $|S_m(x)-S_n(x)| = \left| \sum\limits_{k=n+1}^m a_kx^k \right| \leq \sum\limits_{k=n+1}^m |a_kx^k| \leq \sum\limits_{k=n+1}^m |a_kR^k|$

Поскольку ряд сходится в точке $x=R$, то и разность $\sum\limits_{k=n+1}^{m}|a_kR^k|$ ограничена. Следовательно, последовательность $S_n(x)$ является фундаментальной (последовательность Коши), а значит, равномерно сходится на интервале $[0,R]$.

### Примеры
1. $\sum_{n=0}^{\infty}\frac{x^n}{n!}$
	Найдем радиус сходимости:
	$R = \frac 1 {\lim\limits_{n\to\infty} \sqrt[n]{\left| \frac 1 {n!} \right|}} = \infty$
	
	Таким образом, ряд сходится для всех $x \in \mathbb{R}$.

1. $\sum\limits_{n=0}^\infty x^n$
	Найдем радиус сходимости:
	$R = \frac 1 {\lim\limits_{n\to\infty} \sqrt[n]{|1|}} = 1$
	
	Таким образом, ряд сходится для всех $|x|<1$ и расходится для всех $|x|>1$.
