# Теорема об абсолютной и равномерной сходимости степенного ряда. Непрерывность суммы степенного ряда. Вторая теорема Абеля.

## Теорема об абсолютной и равномерной сходимости степенного ряда

### Формулировка
Пусть $\sum\limits_{n=0}^\infty a_nx^n$ — [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/14#^e4c1fc|степенной ряд]] с [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/14#^92c7d3|радиусом сходимости]] $R$. Тогда:
1. Ряд $\sum\limits_{n=0}^\infty a_nx^n$ абсолютно сходится для всех $|x|<R$.
2. Ряд $\sum\limits_{n=0}^\infty a_nx^n$ равномерно сходится на любом замкнутом интервале $[a,b]\subset(-R,R)$.

### Доказательство
1. **Абсолютная сходимость**:
   Рассмотрим ряд $\sum\limits_{n=0}^\infty |a_nx^n|$. Поскольку $|x|<R$, то $|a_nx^n| \leq |a_n|R^n$. Ряд $\sum\limits_{n=0}^\infty |a_n|R^n$ сходится, так как $R$ — радиус сходимости. Следовательно, ряд $\sum\limits_{n=0}^\infty |a_nx^n|$ сходится, что означает абсолютную сходимость ряда $\sum\limits_{n=0}^\infty a_nx^n$ для всех $|x|<R$.

2. **Равномерная сходимость**:
   Пусть $[a,b]\subset(-R,R)$. Тогда существует такое $r<R$, что $[a,b] \subset [-r,r]$. Рассмотрим ряд $\sum\limits_{n=0}^\infty |a_n|r^n$. Поскольку $r<R$, то ряд $\sum\limits_{n=0}^\infty |a_n|r^n$ сходится. Следовательно, ряд $\sum\limits_{n=0}^\infty a_nx^n$ равномерно сходится на $[a,b]$ по [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/12#Признак Вейерштрасса|признаку Вейерштрасса]].

## Непрерывность суммы степенного ряда
Если степенной ряд $\sum\limits_{n=0}^\infty a_nx^n$ сходится на интервале $(-R,R)$, то его сумма $S(x) = \sum\limits_{n=0}^\infty a_nx^n$ непрерывна на этом интервале.

### Доказательство
Поскольку ряд $\sum\limits_{n=0}^\infty a_nx^n$ равномерно сходится на любом замкнутом интервале $[a,b]\subset(-R,R)$, то его сумма $S(x)$ непрерывна на $(-R,R)$ как равномерный предел непрерывных функций.

## Вторая теорема Абеля
Вторая теорема Абеля утверждает, что если степенной ряд $\sum\limits_{n=0}^\infty a_nx^n$ сходится в точке $x=R$ (где $R$ — радиус сходимости), то он сходится равномерно на интервале $[0,R]$.

### Формулировка
Пусть степенной ряд $\sum\limits_{n=0}^\infty a_nx^n$ сходится в точке $x=R$. Тогда ряд сходится равномерно на интервале $[0,R]$.

### Доказательство
Рассмотрим частичные суммы ряда $S_n(x) = \sum\limits_{k=0}^n a_kx^k$. Поскольку ряд сходится в точке $x=R$, то для любого $\varepsilon > 0$ существует такое число $N(\varepsilon)$, что для всех $n \geq N(\varepsilon)$ выполняется:
$|S(R)-S_n(R)| < \varepsilon$

Теперь рассмотрим разность частичных сумм $S_m(x) - S_n(x)$ для $m > n$:
$|S_m(x)-S_n(x)| = \left| \sum\limits_{k=n+1}^m a_kx^k \right| \leq \sum\limits_{k=n+1}^m \left| a_kx^k \right| \leq \sum\limits_{k=n+1}^m \left| a_kR^k \right|$

Поскольку ряд сходится в точке $x=R$, то и разность $\sum\limits_{k=n+1}^m \left| a_kR^k \right|$ ограничена. Следовательно, последовательность $S_n(x)$ является фундаментальной (последовательность Коши), а значит, равномерно сходится на интервале $[0,R]$.

## Примеры

1. $\sum\limits_{n=0}^\infty \frac {x^n} {n!}$
	Найдем радиус сходимости:
	$R = \frac 1 {\lim\limits_{n\to\infty} \sqrt[n]{\left| \frac 1 {n!} \right|}} = \infty$
	
	Таким образом, ряд сходится для всех $x\in\mathbb{R}$. Поскольку ряд сходится абсолютно и равномерно на любом замкнутом интервале, его сумма $S(x) = \sum\limits_{n=0}^\infty \frac{x^n}{n!}$ непрерывна на всей числовой прямой.

1. $\sum\limits_{n=0}^\infty x^n$
	Найдем радиус сходимости:
	$R = \frac 1 {\lim\limits_{n\to\infty} \sqrt[n]{|1|}} = 1$
	
	Таким образом, ряд сходится для всех $|x| < 1$ и расходится для всех $|x| > 1$. Поскольку ряд сходится абсолютно и равномерно на любом замкнутом интервале $[a,b] \subset (-1,1)$, его сумма $S(x) = \sum\limits_{n=0}^\infty x^n$ непрерывна на интервале $(-1,1)$.
