# Формулы для вычисления радиуса сходимости степенного ряда

## Введение
**Степенной ряд** — это ряд вида $\sum\limits_{n=0}^\infty a_nx^n$, где $a_n$ — коэффициенты, а $x$ — переменная. Радиус сходимости степенного ряда — это число $R$, такое что ряд сходится для всех $|x|<R$ и расходится для всех $|x|>R$. 

## Формула Коши-Адамара
Формула Коши-Адамара позволяет найти [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/14#^e4c1fc|радиус сходимости]] степенного ряда $\sum\limits_{n=0}^\infty a_nx^n$ с помощью предела: $R = \frac 1 {\lim\limits_{n\to\infty} \sqrt[n]{|a_n|}}$

### Пример
Рассмотрим ряд $\sum\limits_{n=0}^\infty \frac{x^n}{n!}$.

Найдем радиус сходимости: $R = \frac 1 {\lim\limits_{n\to\infty} \sqrt[n]{\left| \frac 1 {n!} \right|}} = \infty$

Таким образом, ряд сходится для всех $x\in\mathbb{R}$.

## Формула Даламбера
Формула Даламбера позволяет найти радиус сходимости степенного ряда $\sum\limits_{n=0}^\infty a_nx^n$ с помощью предела: $R = \lim\limits_{n\to\infty} \left| \frac{a_n}{a_{n+1}} \right|$

### Пример
Рассмотрим ряд $\sum_{n=0}^\infty n!x^n$.

Найдем радиус сходимости: $R = \lim\limits_{n\to\infty} \left| \frac{n!}{(n+1)!} \right| = \lim\limits_{n\to\infty} \left| \frac 1 {n+1} \right| = 0$

Таким образом, ряд сходится только в точке $x=0$.

## Формула Коши
Формула Коши позволяет найти радиус сходимости степенного ряда $\sum\limits_{n=0}^\infty a_nx^n$ с помощью предела: $R = \lim\limits_{n\to\infty} \sqrt[n]{|a_n|}$

### Пример
Рассмотрим ряд $\sum\limits_{n=0}^\infty x^n$.

Найдем радиус сходимости: $R = \lim\limits_{n\to\infty} \sqrt[n]{|1|} = 1$

Таким образом, ряд сходится для всех $|x|<1$ и расходится для всех $|x|>1$.