# Разложение функций в степенные ряды. Ряды Тейлора и Маклорена. Достаточное условие разложимости функции в ряд Тейлора.

## Разложение функций в степенные ряды
Разложение функции $f(x)$ в степенной ряд в окрестности точки $x_0$ имеет вид: $f(x) = \sum\limits_{n=0}^\infty a_n(x-x_0)^n$

## Ряды Тейлора и Маклорена

### Ряд Тейлора
Ряд Тейлора функции $f(x)$ в окрестности точки $x_0$ имеет вид: $f(x) = \sum\limits_{n=0}^\infty \frac{f^{(n)}(x_0)}{n!}(x-x_0)^n$, где $f^{(n)}(x_0)$ — значение $n$-й производной функции $f(x)$ в точке $x_0$.

### Ряд Маклорена
Ряд Маклорена — это частный случай ряда Тейлора, когда $x_0=0$: $f(x) = \sum\limits_{n=0}^\infty \frac{f^{(n)}(0)}{n!}x^n$

### Пример
Рассмотрим функцию $f(x)=e^x$.

Ряд Маклорена для $f(x)=e^x$: $e^x = \sum\limits_{n=0}^\infty \frac{x^n}{n!}$

## Достаточное условие разложимости функции в ряд Тейлора

### Теорема
Пусть функция $f(x)$ бесконечно дифференцируема в точке $x_0$, и пусть существует такое число $M$, что для всех $n$ выполняется: $|f^{(n)}(x)| \leq M$

для всех $x$ в некоторой окрестности точки $x_0$. Тогда функция $f(x)$ разлагается в ряд Тейлора в этой окрестности.

### Доказательство
Рассмотрим остаточный член ряда Тейлора:
$R_n(x) = f(x) - \sum\limits_{k=0}^n \frac{f^{(k)}(x_0)}{k!} (x-x_0)^k$

По формуле Тейлора с остаточным членом в форме Лагранжа:
$R_n(x) = \frac{f^{(n+1)}(\xi)}{(n+1)!} (x-x_0)^{n+1}$, где $\xi$ — некоторая точка между $x_0$ и $x$.

Поскольку $|f^{(n+1)}(\xi)| \leq M$, то:
$|R_n(x)| \leq \frac{M}{(n+1)!} |x-x_0|^{n+1}$

Поскольку $\frac M {(n+1)!} |x-x_0|^{n+1} \to 0$ при $n\to\infty$, то $R_n(x)\to0$ при $n\to\infty$. Следовательно, ряд Тейлора сходится к $f(x)$ в окрестности точки $x_0$.

## Примеры
1. **Функция $f(x)=\sin(x)$**:
Ряд Маклорена для $f(x)=\sin(x)$:
$\sin(x) = \sum\limits_{n=0}^\infty (-1)^n \frac{x^{2n+1}}{(2n+1)!}$

2. **Функция $f(x)=\cos(x)$**:
Ряд Маклорена для $f(x)=\cos(x)$:
$\cos(x) = \sum\limits_{n=0}^\infty (-1)^n \frac{x^{2n}}{(2n)!}$