# Разложение элементарных функций в ряд Маклорена

## Введение

**Ряд Маклорена** — это частный случай [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/18#Ряд Тейлора|ряда Тейлора]], когда точка разложения $x_0=0$. Ряд Маклорена для функции $f(x)$ имеет вид: $f(x) = \sum\limits_{n=0}^\infty \frac{f^{(n)}(0)}{n!} x^n$

## Разложение элементарных функций

### Экспоненциальная функция

Функция $f(x) = e^x$ разлагается в *ряд Маклорена* следующим образом: $e^x = \sum\limits_{n=0}^\infty \frac{x^n}{n!}$

#### Доказательство
Вычислим производные функции $f(x) = e^x$: $f^{(n)}(x) = e^x$

Таким образом, $f^{(n)}(0) = 1$ для всех $n$. Подставим это в формулу *ряда Маклорена*: $e^x = \sum\limits_{n=0}^\infty \frac 1 {n!} x^n$

### Синус
Функция $f(x) = \sin(x)$ разлагается в *ряд Маклорена* следующим образом:
$$\sin(x) = \sum_{n=0}^\infty (-1)^n \frac{x^{2n+1}}{(2n+1)!}$$

#### Доказательство
Вычислим производные функции $f(x)=\sin(x)$:
$f^{(2n)}(x) = (-1)^n \sin(x)$
$f^{(2n+1)}(x) = (-1)^n \cos(x)$

Таким образом, $f^{(2n)}(0) = 0$ и $f^{(2n+1)}(0) = (-1)^n$. Подставим это в формулу *ряда Маклорена*:
$\sin(x)=\sum_{n=0}^{\infty}(-1)^n\frac{x^{2n+1}}{(2n+1)!}$

### Косинус
Функция $f(x) = \cos(x)$ разлагается в *ряд Маклорена* следующим образом:
$$\cos(x) = \sum_{n=0}^\infty (-1)^n \frac{x^{2n}}{(2n)!}$$

#### Доказательство
Вычислим производные функции $f(x)=\cos(x)$:
$f^{(2n)}(x)=(-1)^n\cos(x)$
$f^{(2n+1)}(x)=(-1)^n\sin(x)$

Таким образом, $f^{(2n)}(0)=(-1)^n$ и $f^{(2n+1)}(0)=0$. Подставим это в формулу ряда Маклорена:
$\cos(x)=\sum_{n=0}^{\infty}(-1)^n\frac{x^{2n}}{(2n)!}$

### Логарифм
Функция $f(x) = \ln(1+x)$ разлагается в *ряд Маклорена* следующим образом:
$$\ln(1+x) = \sum_{n=1}^\infty (-1)^{n+1} \frac{x^n} n$$

#### Доказательство
Вычислим производные функции $f(x) = \ln(1+x)$:
$f^{(n)}(x) = (-1)^{n+1}(n-1)! (1+x)^{-n}$

Таким образом, $f^{(n)}(0) = (-1)^{n+1} (n-1)!$. Подставим это в формулу *ряда Маклорена*:
$\ln(1+x) = \sum\limits_{n=1}^\infty (-1)^{n+1} \frac{x^n} n$