# Разложение в ряд Фурье функций произвольного периода

## Введение
**Ряд Фурье** позволяет разложить периодическую функцию в сумму синусоидальных и косинусоидальных функций.

## Разложение функций произвольного периода
Пусть $f(x)$ — функция с периодом $T$. Тогда *ряд Фурье* для функции $f(x)$ имеет вид: $f(x) = \frac{a_0} 2 + \sum\limits_{n=1}^\infty \left( a_n\cos \left( \frac{2\pi nx} T \right) + b_n \sin \left( \frac{2\pi nx} T \right) \right)$, где коэффициенты $a_n$ и $b_n$ определяются следующими формулами:
- $a_0 = \frac 2 T \int\limits_{-T/2}^{T/2} f(x) dx$
- $a_n = \frac 2 T \int\limits_{-T/2}^{T/2} f(x) \cos \left( \frac{2\pi nx} T \right) dx$
- $b_n = \frac 2 T \int\limits_{-T/2}^{T/2} f(x) \sin \left( \frac{2\pi nx} T \right) dx$

## Примеры

### Пример 1: Функция $f(x)=x$ на интервале $[-L,L]$
Рассмотрим функцию $f(x)=x$ на интервале $[-L,L]$. Период функции $T=2L$.

Вычислим *коэффициенты Фурье*:
$a_0 = \frac 2 {2L} \int\limits_{-L}^{L}x dx = 0$
$a_n = \frac 2 {2L} \int\limits_{-L}^L x \cos \left( \frac{2\pi nx}{2L} \right) dx = 0$
$b_n = \frac 2 {2L} \int\limits_{-L}^L x \sin \left( \frac{2\pi nx}{2L} \right) dx = \frac{2L(-1)^{n+1}}{\pi n}$

Таким образом, *ряд Фурье* для функции $f(x)=x$ имеет вид: $f(x) = \frac{2L} \pi \sum\limits_{n=1}^\infty \frac{(-1)^{n+1}} n \sin \left( \frac{\pi nx} L \right)$

### Пример 2: Функция $f(x)=|x|$ на интервале $[-L,L]$
Рассмотрим функцию $f(x)=|x|$ на интервале $[-L,L]$. Период функции $T=2L$.

Вычислим *коэффициенты Фурье*:
$a_0 = \frac 2 {2L} \int\limits_{-L}^L |x| dx = L$
$a_n = \frac 2 {2L} \int\limits_{-L}^L |x| \cos \left( \frac{2\pi nx}{2L} \right) dx = \frac{2L(1-(-1)^n)}{\pi^2n^2}$
$b_n = \frac 2 {2L} \int\limits_{-L}^L |x| \sin \left( \frac{2\pi nx}{2L} \right) dx = 0$

Таким образом, *ряд Фурье* для функции $f(x)=|x|$ имеет вид: $f(x) = \frac L 2 + \frac{2L}{\pi^2} \sum\limits_{n=1}^\infty \frac{1-(-1)^n}{n^2} \cos \left( \frac{\pi nx} L \right)$
