# Разложение в ряд Фурье непериодической функции

## Введение
Ряд Фурье обычно используется для разложения периодических функций. Однако, для непериодических функций можно использовать интегральное преобразование Фурье.

## Интегральное преобразование Фурье
**Интегральное преобразование Фурье** функции $f(x)$ определяется следующим образом: $F(\omega) = \int\limits_{-\infty}^\infty f(x) e^{-i\omega x}dx$, где $F(\omega)$ — преобразование Фурье функции $f(x)$.

## Обратное преобразование Фурье
**Обратное преобразование Фурье** позволяет восстановить функцию $f(x)$ из её преобразования Фурье $F(\omega)$: $f(x) = \frac 1 {2\pi} \int\limits_{-\infty}^\infty F(\omega) e^{i\omega x} d \omega$

## Примеры
1. $f(x) = e^{-|x|}$
	Вычислим *преобразование Фурье*:
	$F(\omega) = \int\limits_{-\infty}^\infty e^{-|x|} e^{-i\omega x} dx = \int\limits_{-\infty}^0 e^xe^{-i\omega x}dx + \int\limits_0^\infty e^{-x}e^{-i\omega x} dx$
	
	Рассчитаем интегралы:
	$F(\omega) = \left[ \frac{e^{(1-i\omega)x}}{1-i\omega} \right]_{-\infty}^0 + \left[ \frac{e^{-(1+i\omega)x}}{-(1+i\omega)} \right]_0^\infty = \frac 1 {1+\omega^2}$
	
	Теперь восстановим функцию $f(x)$ с помощью обратного преобразования Фурье: $f(x) = \frac 1 {2\pi} \int\limits_{-\infty}^\infty \frac 1 {1+\omega^2} e^{i\omega x} d \omega$

2. $f(x)=e^{-x^2}$
	Вычислим *преобразование Фурье*:
	$F(\omega) = \int\limits_{-\infty}^\infty e^{-x^2} e^{-i\omega x}dx$
	
	Используем известный результат:
	$F(\omega) = \sqrt \pi e^{-\omega^2/4}$
	
	Теперь восстановим функцию $f(x)$ с помощью *обратного преобразования Фурье*: $f(x) = \frac 1 {2\pi} \int\limits_{-\infty}^\infty \sqrt \pi e^{-\omega^2/4} e^{i\omega x} d\omega$
