# Ряды с неотрицательными членами. Признаки сравнения

## Ряды с неотрицательными членами
Ряд с неотрицательными членами — это бесконечная сумма неотрицательных чисел, представленная в виде: $\sum\limits_{n=1}^\infty a_n$, где $a_n \geq 0$ для всех $n$.

## Признаки сравнения
Признаки сравнения позволяют определить сходимость или расходимость ряда, сравнивая его с другим рядом, сходимость которого известна.

### Первый признак сравнения
Пусть $\sum a_n$ и $\sum b_n$ — два ряда с неотрицательными членами, и пусть $0 \leq a_n \leq b_n$ для всех $n$.

- Если ряд $\sum b_n$ сходится, то и ряд $\sum a_n$ сходится.
- Если ряд $\sum a_n$ расходится, то и ряд $\sum b_n$ расходится.

### Второй признак сравнения (предельный признак сравнения)
Пусть $\sum a_n$ и $\sum b_n$ — два ряды с положительными членами, и пусть существует предел:
$\lim\limits_{n \to \infty} \frac{a_n}{b_n} = L$

- Если $0 < L < \infty$, то ряды $\sum a_n$ и $\sum b_n$ либо оба сходятся, либо оба расходятся.
- Если $L = 0$ и ряд $\sum b_n$ сходится, то ряд $\sum a_n$ также сходится.
- Если $L = \infty$ и ряд $\sum b_n$ расходится, то ряд $\sum a_n$ также расходится.

## Примеры
1. **Сравнение с гармоническим рядом**:
	Сравним его с гармоническим рядом $\sum\limits_{n=1}^\infty \frac 1 n$, который расходится.
	
	Поскольку $\frac{1}{n^2} \leq \frac{1}{n}$ для всех $n$, и гармонический ряд расходится, то ряд $\sum\limits_{n=1}^\infty \frac 1 {n^2}$ сходится (по первому признаку сравнения).

2. **Предельный признак сравнения**:
	Сравним его с рядом $\sum\limits_{n=1}^\infty \frac 1 {n^{3/2}}$.
	
	Вычислим предел: 
	$$
		\lim_{n \to \infty} \frac{\frac 1 {n \sqrt n}}{\frac 1 {n^{3/2}}} =
		\lim_{n \to \infty} \frac{n^{3/2}}{n \sqrt{n}} =
		\lim_{n \to \infty} \frac 1 {\sqrt{n}} = 0
	$$
	
	Поскольку ряд $\sum\limits_{n=1}^\infty \frac 1 {n^{3/2}}$ сходится (так как $p = \frac 3 2 > 1$), то и ряд $\sum\limits_{n=1}^\infty \frac 1 {n \sqrt n}$ сходится (по второму признаку сравнения).
