# Признаки Даламбера и Коши сходимости знакоположительных рядов

## Введение
**Знакоположительные ряды** — это ряды, все члены которых являются положительными числами ^da23a3

Для определения сходимости таких рядов используются различные признаки, среди которых особое место занимают признаки Даламбера и Коши.

## Признак Даламбера
**Признак Даламбера** позволяет определить сходимость ряда $\sum_{n=1}^{\infty} a_n$ на основе предела отношения последовательных членов ряда.

Пусть $a_n > 0$ для всех $n$. Рассмотрим предел:
$\lim\limits_{n \to \infty} \frac{a_{n+1}}{a_n} = L$
- Если $L < 1$, то ряд $\sum\limits_{n=1}^\infty a_n$ сходится.
- Если $L > 1$, то ряд $\sum\limits_{n=1}^\infty a_n$ расходится.
- Если $L = 1$, то *признак Даламбера* не позволяет сделать вывод о сходимости ряда.

### Пример
Рассмотрим ряд $\sum\limits_{n=1}^\infty \frac n {2^n}$.

Вычислим предел: $\lim\limits_{n \to \infty} \frac{\frac{n+1}{2^{n+1}}}{\frac n {2^n}} = \lim\limits_{n \to \infty} \frac{n+1}{2n} = \frac 1 2$

Поскольку $\frac 1 2 < 1$, ряд $\sum\limits_{n=1}^\infty \frac n {2^n}$ сходится по *признаку Даламбера*.

## Признак Коши
**Признак Коши** (корневой признак) позволяет определить сходимость ряда $\sum\limits_{n=1}^\infty a_n$ на основе предела корня из $n$-го члена ряда.

Пусть $a_n > 0$ для всех $n$. Рассмотрим предел: $\lim\limits_{n \to \infty} \sqrt[n]{a_n} = L$
- Если $L < 1$, то ряд $\sum\limits_{n=1}^\infty a_n$ сходится.
- Если $L > 1$, то ряд $\sum\limits_{n=1}^\infty a_n$ расходится.
- Если $L = 1$, то *признак Коши* не позволяет сделать вывод о сходимости ряда.

### Пример
Рассмотрим ряд $\sum\limits_{n=1}^\infty \left( \frac n 2 \right)^n$.

Вычислим предел: $\lim\limits_{n \to \infty} \sqrt[n]{\left( \frac n 2 \right)^n} = \lim\limits_{n \to \infty} \frac n 2 = \infty$

Поскольку $\infty > 1$, ряд $\sum\limits_{n=1}^\infty \left( \frac n 2 \right)^n$ расходится по *признаку Коши*.
