# Интегральный признак сходимости знакоположительных рядов

## Введение
Интегральный признак сходимости позволяет определить сходимость [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/4#^da23a3|знакоположительных рядов]], сравнивая их с соответствующими несобственными интегралами. Этот признак особенно полезен для рядов, члены которых можно выразить через непрерывные функции.

## Формулировка
Пусть $f(x)$ — непрерывная, положительная и убывающая функция на интервале $[1, \infty)$. Рассмотрим ряд: $\sum\limits_{n=1}^\infty f(n)$

Интегральный признак утверждает, что ряд $\sum\limits_{n=1}^\infty f(n)$ сходится тогда и только тогда, когда сходится несобственный интеграл: $\int\limits_1^\infty f(x)dx$

## Доказательство
Рассмотрим частичные суммы ряда $S_n = \sum\limits_{k=1}^n f(k)$ и соответствующие интегралы $I_n = \int\limits_1^n f(x)dx$.

Поскольку $f(x)$ убывает, можно записать неравенства:
$f(k+1) \leq \int\limits_k^{k+1} f(x)dx \leq f(k)$

Суммируя эти неравенства от $k=1$ до $k=n-1$, получаем: $\sum\limits_{k=2}^n f(k) \leq \int\limits_1^n f(x)dx \leq \sum\limits_{k=1}^{n-1} f(k)$

Или, что эквивалентно: $S_n - f(1) \leq I_n \leq S_{n-1}$

Если интеграл $\int\limits_1^\infty f(x)dx$ сходится, то $I_n$ ограничено, и, следовательно, $S_n$ также ограничено, что означает сходимость ряда $\sum\limits_{n=1}^\infty f(n)$.

Аналогично, если интеграл $\int\limits_1^\infty f(x)dx$ расходится, то $I_n$ не ограничено, и, следовательно, $S_n$ также не ограничено, что означает расходимость ряда $\sum\limits_{n=1}^\infty f(n)$.

## Примеры
1. **Гармонический ряд**:
	Рассмотрим ряд $\sum\limits_{n=1}^\infty \frac 1 n$.
	
	Функция $f(x)=\frac{1}{x}$ убывает и положительна на $[1, \infty)$. Вычислим интеграл:
	$\int\limits_1^\infty \frac 1 x dx = \left[ \ln x \right]_1^\infty = \infty$
	
	Поскольку интеграл расходится, ряд $\sum\limits_{n=1}^\infty \frac 1 n$ также расходится.

2. **Обобщенный гармонический ряд**:
	Рассмотрим ряд $\sum\limits_{n=1}^\infty \frac 1 {n^p}$, где $p>1$.
	
	Функция $f(x)=\frac{1}{x^p}$ убывает и положительна на $[1, \infty)$. Вычислим интеграл:
	$\int\limits_1^\infty \frac 1 {x^p} dx = \left[ -\frac 1 {(p-1)x^{p-1}} \right]_1^\infty = \frac 1 {p-1}$
	
	Поскольку интеграл сходится, ряд $\sum\limits_{n=1}^\infty \frac 1 {n^p}$ также сходится при $p>1$.