# Знакочередующиеся ряды. Признак Лейбница. Оценка остатка сходящегося знакочередующегося ряда.

## Введение
**Знакочередующиеся ряды** — это ряды, члены которых чередуются по знаку. Один из наиболее известных признаков сходимости таких рядов — это признак Лейбница.

## Признак Лейбница
**Признак Лейбница** позволяет определить сходимость знакочередующегося ряда вида $\sum\limits_{n=1}^\infty (-1)^{n+1}b_n$, где $b_n$ — положительные числа.
*Признак Лейбница* утверждает, что ряд $\sum\limits_{n=1}^{\infty}(-1)^{n+1}b_n$ сходится, если:
1. $b_n$ убывает, то есть $b_{n+1}\leq b_n$ для всех $n$.
2. $\lim\limits_{n\to\infty}b_n=0$.

### Пример
Рассмотрим ряд $\sum\limits_{n=1}^\infty {(-1)^{n+1}\frac 1 n}$.
Проверим условия *признака Лейбница*:
1. $b_n=\frac{1}{n}$ убывает, так как $\frac{1}{n+1}<\frac{1}{n}$ для всех $n$.
2. $\lim\limits_{n\to\infty} \frac 1 n = 0$.
Таким образом, ряд $\sum\limits_{n=1}^\infty {(-1)^{n+1} \frac 1 n}$ сходится по *признаку Лейбница*.

## Оценка остатка сходящегося знакочередующегося ряда
Для сходящегося *знакочередующегося ряда* $\sum\limits_{n=1}^\infty {(-1)^{n+1} b_n}$ остаток ряда $R_n$ после $n$ членов можно оценить следующим образом:
$|R_n| = |S-S_n| \leq b_{n+1}$, где $S$ — сумма ряда, а $S_n$ — частичная сумма первых $n$ членов ряда.

### Пример
Рассмотрим ряд $\sum\limits_{n=1}^\infty {(-1)^{n+1} \frac 1 n}$.
Оценка остатка после $n$ членов: $|R_n| \leq \frac 1 {n+1}$
Таким образом, остаток ряда $\sum\limits_{n=1}^\infty {(-1)^{n+1} \frac 1 n}$ после $n$ членов не превосходит $\frac{1}{n+1}$.
