# Знакопеременные ряды. Теорема Коши о сходимости абсолютно сходящегося ряда.

## Введение
**Знакопеременные ряды** — это ряды, члены которых могут быть как положительными, так и отрицательными. Одним из важных понятий в теории рядов является абсолютная сходимость. Теорема Коши о сходимости абсолютно сходящегося ряда утверждает, что абсолютная сходимость ряда влечет за собой его обычную сходимость.

## Теорема Коши о сходимости абсолютно сходящегося ряда
Если ряд $\sum\limits_{n=1}^\infty a_n$ *[[2 курс/1 семестр/Вышмат/Билеты/1 раздел/8#Абсолютной сходимости|абсолютно сходится]]*, то он также *сходится* в обычном смысле. ^446f33

### Формулировка теоремы
Пусть $\sum\limits_{n=1}^\infty a_n$ — абсолютно сходящийся ряд, то есть $\sum\limits_{n=1}^\infty |a_n|$ сходится. Тогда ряд $\sum\limits_{n=1}^\infty a_n$ также сходится.
### Доказательство
Рассмотрим частичные суммы ряда $S_n=\sum\limits_{k=1}^n a_k$ и соответствующие частичные суммы ряда из абсолютных значений $T_n=\sum\limits_{k=1}^n |a_k|$.

Поскольку ряд $\sum\limits_{n=1}^\infty |a_n|$ сходится, то последовательность $T_n$ ограничена. Это означает, что существует такое число $M$, что $T_n\leq M$ для всех $n$.

Теперь рассмотрим разность частичных сумм $S_m-S_n$ для $m>n$:
$|S_m-S_n| = \left| \sum\limits_{k=n+1}^m a_k \right| \leq \sum\limits_{k=n+1}^m |a_k| = T_m-T_n$

Поскольку последовательность $T_n$ ограничена, то и разность $T_m-T_n$ ограничена. Следовательно, последовательность $S_n$ является фундаментальной (*последовательность Коши*), а значит, сходится.

Таким образом, если ряд $\sum\limits_{n=1}^\infty a_n$ абсолютно сходится, то он также сходится в обычном смысле.

## Примеры
1. $\sum\limits_{n=1}^\infty {(-1)^{n+1} \frac 1 {n^2}}$
	Ряд из абсолютных значений $\sum\limits_{n=1}^\infty \frac 1 {n^2}$ сходится, так как это [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/2#^e8e233|обобщенный гармонический ряд]] с $p=2>1$. Следовательно, ряд $\sum\limits_{n=1}^\infty {(-1)^{n+1} \frac 1 {n^2}}$ абсолютно сходится и, следовательно, сходится в обычном смысле.

1. $\sum\limits_{n=1}^\infty {(-1)^{n+1} \frac 1 n}$
	Ряд из абсолютных значений $\sum\limits_{n=1}^\infty \frac 1 n$ [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/2#^e432ca|расходится]], так как это [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/2#^ab323a|гармонический ряд]]. Следовательно, ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n}$ не является абсолютно сходящимся, но он сходится по [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/6#Признак Лейбница|признаку Лейбница]].

