# Условно сходящиеся ряды. Признаки Абеля и Дирихле. Теорема Римана.

## Введение
**Условно сходящиеся ряды** — это ряды, которые сходятся, но не абсолютно. Такие ряды имеют особые свойства и требуют специальных методов для анализа их сходимости. 

## Условно сходящиеся ряды
Ряд $\sum\limits_{n=1}^\infty a_n$ называется *условно сходящимся*, если он *сходится*, но ряд из абсолютных значений $\sum\limits_{n=1}^\infty |a_n|$ *расходится*.

## Признак Дирихле
**Признак Дирихле** позволяет определить сходимость ряда $\sum\limits_{n=1}^\infty a_nb_n$, где $a_n$ и $b_n$ — последовательности чисел.

### Формулировка
Пусть $a_n$ и $b_n$ — последовательности чисел, удовлетворяющие следующим условиям:
1. Частичные суммы $A_n=\sum\limits_{k=1}^n a_k$ ограничены, то есть существует такое число $M$, что $|A_n|\leq M$ для всех $n$.
2. $b_n$ монотонно стремится к нулю, то есть $b_n\to0$ и $b_n\geq b_{n+1}$ для всех $n$.
Тогда ряд $\sum\limits_{n=1}^\infty a_nb_n$ сходится.

### Пример
Рассмотрим ряд $\sum\limits_{n=1}^\infty {(-1)^{n+1} \frac 1 n}$.

Пусть $a_n=(-1)^{n+1}$ и $b_n=\frac 1 n$. Частичные суммы $A_n = \sum\limits_{k=1}^n (-1)^{k+1}$ *ограничены*, так как $|A_n|\leq1$ для всех $n$. Последовательность $b_n=\frac{1}{n}$ *монотонно стремится* к нулю. Следовательно, ряд $\sum\limits_{n=1}^\infty {(-1)^{n+1} \frac 1 n}$ сходится по признаку Дирихле.

## Признак Абеля
**Признак Абеля** является обобщением признака Дирихле и позволяет определить сходимость ряда $\sum\limits_{n=1}^\infty a_nb_n$, где $a_n$ и $b_n$ — последовательности чисел.

### Формулировка
Пусть $a_n$ и $b_n$ — последовательности чисел, удовлетворяющие следующим условиям:
1. Ряд $\sum\limits_{n=1}^\infty a_n$ сходится.
2. $b_n$ монотонно ограничена, то есть существует такое число $M$, что $|b_n|\leq M$ для всех $n$, и $b_n$ монотонна.

Тогда ряд $\sum\limits_{n=1}^\infty a_nb_n$ сходится.

### Пример
Рассмотрим ряд $\sum\limits_{n=1}^\infty {(-1)^{n+1}\frac 1 n}$.

Пусть $a_n = (-1)^{n+1}$ и $b_n = \frac 1 n$. Ряд $\sum\limits_{n=1}^\infty (-1)^{n+1}$ *сходится* по [[2 курс/1 семестр/Вышмат/Билеты/1 раздел/6#Признак Лейбница|признаку Лейбница]]. Последовательность $b_n = \frac 1 n$ *монотонно ограничена*. Следовательно, ряд $\sum\limits_{n=1}^\infty {(-1)^{n+1}\frac 1 n}$ *сходится* по признаку Абеля.

## Теорема Римана
**Теорема Римана** утверждает, что условно сходящийся ряд можно переставить так, чтобы он сходился к любому заранее заданному числу или расходился.

### Формулировка
Пусть $\sum\limits_{n=1}^\infty a_n$ — *условно сходящийся* ряд. Тогда существует такая перестановка членов ряда, что переставленный ряд *сходится* к любому заранее заданному числу или расходится.

%%
###
Пример
Рассмотрим ряд $\sum\limits_{n=1}^\infty {(-1)^{n+1} \frac 1 n}$.

Этот ряд *условно сходится*. Согласно теореме Римана, можно переставить члены этого ряда так, чтобы он сходился к любому заранее заданному числу или расходился.
%%