## Двойной интеграл, определение и свойства. Теорема существования.

### Определение
Двойной интеграл функции двух переменных $f(x, y)$ по области $D$ на плоскости $xy$ определяется как предел суммы Римана при стремлении диаметров подобластей к нулю. Формально, если $D$ разбита на $n$ подобластей $D_i$ с диаметрами $\delta_i$, то двойной интеграл определяется как:
$$\iint\limits_D f(x, y) \, dA = \lim_{\delta_i \to 0} \sum_{i=1}^n f(x_i, y_i) \Delta A_i,$$

где $(x_i, y_i)$ — произвольная точка в подобласти $D_i$, а $\Delta A_i$ — площадь подобласти $D_i$.

### Свойства
1. **Линейность**:
   - Если $f(x, y)$ и $g(x, y)$ интегрируемы на $D$, то для любых констант $a$ и $b$:
   $$\iint\limits_D (a f(x, y) + b g(x, y)) \, dA = a \iint\limits_D f(x, y) \, dA + b \iint\limits_D g(x, y) \, dA$$

2. **Аддитивность**:
   - Если $D$ разбита на две непересекающиеся области $D_1$ и $D_2$, то:
   $$\iint\limits_D f(x, y) \, dA = \iint\limits_{D_1} f(x, y) \, dA + \iint\limits_{D_2} f(x, y) \, dA$$

3. **Монотонность**:
   - Если $f(x, y) \geq g(x, y)$ для всех $(x, y)$ в $D$, то:
   $$\iint\limits_D f(x, y) \, dA \geq \iint\limits_D g(x, y) \, dA$$

4. **Абсолютная интегрируемость**:
   - Если $f(x, y)$ интегрируема на $D$, то и $|f(x, y)|$ также интегрируема на $D$, причем:
   $$\left| \iint\limits_D f(x, y) \, dA \right| \leq \iint\limits_D |f(x, y)| \, dA$$

### Теорема существования двойного интеграла
Теорема существования двойного интеграла утверждает, что если функция $f(x, y)$ непрерывна на замкнутой и ограниченной области $D$, то двойной интеграл $\iint_{D} f(x, y) \, dA$ существует.

Формально, если $f(x, y)$ непрерывна на $D$, то для любого разбиения области $D$ на подобласти $D_i$ с диаметрами $\delta_i$, сумма Римана:

$$\sum_{i=1}^{n} f(x_i, y_i) \Delta A_i$$

имеет предел при $\delta_i \to 0$, и этот предел не зависит от выбора точек $(x_i, y_i)$ в подобластях $D_i$.

### Пример
Рассмотрим пример вычисления двойного интеграла. Пусть $f(x, y) = x^2 y$ и область $D$ ограничена прямоугольником с вершинами $(0,0)$, $(1,0)$, $(1,2)$, $(0,2)$. Тогда двойной интеграл можно вычислить как:
$$\iint\limits_D x^2 y \, dA = \int_0^2 \int_0^1 x^2 y \, dx \, dy$$

Вычислим внутренний интеграл:
$$\int\limits_0^1 x^2 y \, dx = \left[ \frac{x^3}{3} y \right]_0^1 = \frac y 3$$

Теперь вычислим внешний интеграл:
$$\int\limits_0^2 \frac y 3 \, dy = \left[ \frac{y^2}{6} \right]_0^2 = \frac 2 3$$

Таким образом, значение двойного интеграла равно $\frac{4}{3}$.