## Задачи, приводящие к понятию двойного интеграла

### 1. Вычисление площади области
Если область $D$ ограничена кривыми $y=f(x)$ и $y=g(x)$ на интервале $[a,b]$, то площадь этой области можно вычислить с помощью двойного интеграла:
$$A = \iint\limits_D dA = \int\limits_a^b \int\limits_{g(x)}^{f(x)}dy\,dx.$$

### 2. Вычисление объема тела
Двойной интеграл также используется для вычисления объема тела, ограниченного поверхностью $z=f(x,y)$ и проекцией этой поверхности на плоскость $xy$. Если $D$ — область на плоскости $xy$, то объем тела можно вычислить как:
$$V = \iint\limits_D f(x,y)\,dA.$$

### 3. Вычисление массы пластины
Если плотность пластины $\rho(x,y)$ задана как функция координат $(x,y)$, то масса пластины, занимающей область $D$, можно вычислить с помощью двойного интеграла:
$$M = \iint\limits_D \rho(x,y)\,dA.$$

### 4. Вычисление центра масс пластины
Центр масс пластины с плотностью $\rho(x,y)$ и областью $D$ можно найти, используя двойные интегралы. Координаты центра масс $(x_c,y_c)$ определяются как:

$$x_c = \frac{\iint_D x\rho(x,y)\,dA} {\iint_{D}\rho(x,y)\,dA},$$
$$y_c = \frac{\iint_D y\rho(x,y)\,dA} {\iint_{D}\rho(x,y)\,dA}.$$

### 5. Вычисление моментов инерции
Моменты инерции пластины относительно осей $x$ и $y$ также можно вычислить с помощью двойных интегралов. Моменты инерции $I_x$ и $I_y$ определяются как:
$$I_x = \iint\limits_D y^2\rho(x,y)\,dA,$$

### Пример
Рассмотрим пример вычисления объема тела, ограниченного поверхностью $z=x^2+y^2$ и проекцией этой поверхности на плоскость $xy$ в пределах круга радиуса 1. Область $D$ — это круг радиуса 1, центрированный в начале координат. В полярных координатах $(r,\theta)$ область $D$ описывается как $0\leq r\leq1$ и $0\leq\theta\leq2\pi$. Тогда объем тела можно вычислить как:
$$V=\iint\limits_D (x^2+y^2)\,dA = \int_0^{2\pi} \int_0^1 r^2r \, dr \, d\theta$$

Вычислим внутренний интеграл:
$$\int_0^1 r^3 \, dr = \left[ \frac{r^4} 4 \right]_0^1 = \frac 1 4$$

Теперь вычислим внешний интеграл:
$$\int_0^{2\pi} \frac 1 4 \, d\theta = \frac 1 4 \cdot 2\pi = \frac \pi 2$$

Таким образом, объем тела равен $\frac{\pi}{2}$.