## Вычисление двойного интеграла в декартовых координатах: сведение двойного интеграла к повторному
### Определение двойного интеграла

Двойной интеграл функции $f(x, y)$ по области $D$ определяется как:

$$\iint_{D}f(x,y)\,dA.$$

### Сведение двойного интеграла к повторному

Для вычисления двойного интеграла часто удобно свести его к повторному интегралу. Рассмотрим область $D$, ограниченную кривыми $y=g_1(x)$ и $y=g_2(x)$ на интервале $[a,b]$. Тогда двойной интеграл можно представить в виде повторного интеграла:

$$\iint_{D}f(x,y)\,dA=\int_{a}^{b}\int_{g_1(x)}^{g_2(x)}f(x,y)\,dy\,dx.$$

### Пример 1: Прямоугольная область

Рассмотрим пример вычисления двойного интеграла функции $f(x, y) = x^2 y$ по прямоугольной области $D$, ограниченной линиями $x = 0$, $x = 1$, $y = 0$ и $y = 2$. В этом случае двойной интеграл можно свести к повторному интегралу:

$$\iint_{D}x^2y\,dA=\int_{0}^{1}\int_{0}^{2}x^2y\,dy\,dx.$$

Вычислим внутренний интеграл:

$$\int_{0}^{2}x^2y\,dy=\left[\frac{x^2y^2}{2}\right]_{0}^{2}=\frac{4x^2}{2}=2x^2.$$

Теперь вычислим внешний интеграл:

$$\int_{0}^{1}2x^2\,dx=\left[\frac{2x^3}{3}\right]_{0}^{1}=\frac{2}{3}.$$

Таким образом, значение двойного интеграла равно $\frac{2}{3}$.

### Пример 2: Область, ограниченная кривыми

Рассмотрим область $D$, ограниченную кривыми $y = x$ и $y = x^2$ на интервале $[0, 1]$. Функция $f(x, y) = xy$. Двойной интеграл можно свести к повторному интегралу:

$$\iint_{D}xy\,dA=\int_{0}^{1}\int_{x^2}^{x}xy\,dy\,dx.$$

Вычислим внутренний интеграл:

$$\int_{x^2}^{x}xy\,dy=\left[\frac{xy^2}{2}\right]_{x^2}^{x}=\frac{x^3}{2}-\frac{x^5}{2}.$$

Теперь вычислим внешний интеграл:

$$\int_{0}^{1}\left(\frac{x^3}{2}-\frac{x^5}{2}\right)\,dx=\left[\frac{x^4}{8}-\frac{x^6}{12}\right]_{0}^{1}=\frac{1}{8}-\frac{1}{12}=\frac{1}{24}.$$

Таким образом, значение двойного интеграла равно $\frac{1}{24}$.