## Криволинейные координаты на плоскости. Выражение площади в криволинейных координатах. Замена переменных в двойном интеграле. Вычисление двойного интеграла в полярных координатах.

### Введение

Криволинейные координаты на плоскости позволяют упростить вычисление двойных интегралов для областей, которые сложно описать в декартовых координатах. В этом билете мы рассмотрим основные понятия криволинейных координат, выражение площади в этих координатах, замену переменных в двойном интеграле и вычисление двойного интеграла в полярных координатах.

### Криволинейные координаты на плоскости

Криволинейные координаты $(u, v)$ на плоскости определяются через декартовы координаты $(x, y)$ с помощью преобразования:

$$x=x(u,v),$$
$$y=y(u,v).$$

Эти преобразования должны быть взаимно однозначными и непрерывно дифференцируемыми в области $D$.

### Выражение площади в криволинейных координатах

Площадь элементарной области в криволинейных координатах $(u, v)$ выражается через якобиан преобразования:

$$dA=|J|\,du\,dv,$$

где якобиан $J$ определяется как:

$$J=\frac{\partial(x,y)}{\partial(u,v)}=\begin{vmatrix}\frac{\partial x}{\partial u}&\frac{\partial x}{\partial v}\\\frac{\partial y}{\partial u}&\frac{\partial y}{\partial v}\end{vmatrix}.$$

### Замена переменных в двойном интеграле

Для замены переменных в двойном интеграле используется якобиан преобразования. Если $f(x, y)$ — функция, определенная на области $D$ в декартовых координатах, то двойной интеграл в криволинейных координатах $(u, v)$ выражается как:

$$\iint_{D}f(x,y)\,dA=\iint_{D'}f(x(u,v),y(u,v))|J|\,du\,dv,$$

где $D'$ — область в координатах $(u, v)$, соответствующая области $D$ в координатах $(x, y)$.

### Полярные координаты

Полярные координаты $(r, \theta)$ являются частным случаем криволинейных координат и определяются следующим образом:

$$x=r\cos\theta,$$
$$y=r\sin\theta.$$

Якобиан преобразования для полярных координат равен:

$$J=\begin{vmatrix}\cos\theta&-r\sin\theta\\\sin\theta&r\cos\theta\end{vmatrix}=r.$$

Таким образом, площадь элементарной области в полярных координатах выражается как:

$$dA=r\,dr\,d\theta.$$

### Вычисление двойного интеграла в полярных координатах

Рассмотрим пример вычисления двойного интеграла функции $f(x, y) = x^2 + y^2$ по кругу радиуса $R$, центрированного в начале координат. В полярных координатах $(r, \theta)$ область $D$ описывается как $0 \leq r \leq R$ и $0 \leq \theta \leq 2\pi$. Тогда двойной интеграл можно вычислить как:

$$\iint_{D}(x^2+y^2)\,dA=\int_{0}^{2\pi}\int_{0}^{R}r^2r\,dr\,d\theta.$$

Вычислим внутренний интеграл:

$$\int_{0}^{R}r^3\,dr=\left[\frac{r^4}{4}\right]_{0}^{R}=\frac{R^4}{4}.$$

Теперь вычислим внешний интеграл:

$$\int_{0}^{2\pi}\frac{R^4}{4}\,d\theta=\frac{R^4}{4}\cdot2\pi=\frac{\pi R^4}{2}.$$

Таким образом, значение двойного интеграла равно $\frac{\pi R^4}{2}$.