## Тройной интеграл, определение и свойства. Теорема существования.

### Определение тройного интеграла

Тройной интеграл функции трех переменных $f(x, y, z)$ по области $V$ в пространстве определяется как предел суммы Римана при стремлении диаметров подобластей к нулю. Формально, если $V$ разбита на $n$ подобластей $V_i$ с диаметрами $\delta_i$, то тройной интеграл определяется как:

$$\iiint_{V}f(x,y,z)\,dV=\lim_{\delta_i\to0}\sum_{i=1}^{n}f(x_i,y_i,z_i)\Delta V_i,$$

где $(x_i, y_i, z_i)$ — произвольная точка в подобласти $V_i$, а $\Delta V_i$ — объем подобласти $V_i$.

### Свойства тройного интеграла

1. **Линейность**:
   - Если $f(x, y, z)$ и $g(x, y, z)$ интегрируемы на $V$, то для любых констант $a$ и $b$:

   $$\iiint_{V}(af(x,y,z)+bg(x,y,z))\,dV=a\iiint_{V}f(x,y,z)\,dV+b\iiint_{V}g(x,y,z)\,dV.$$

2. **Аддитивность**:
   - Если $V$ разбита на две непересекающиеся области $V_1$ и $V_2$, то:

   $$\iiint_{V}f(x,y,z)\,dV=\iiint_{V_1}f(x,y,z)\,dV+\iiint_{V_2}f(x,y,z)\,dV.$$

3. **Монотонность**:
   - Если $f(x, y, z) \geq g(x, y, z)$ для всех $(x, y, z)$ в $V$, то:

   $$\iiint_{V}f(x,y,z)\,dV\geq\iiint_{V}g(x,y,z)\,dV.$$

4. **Абсолютная интегрируемость**:
   - Если $f(x, y, z)$ интегрируема на $V$, то и $|f(x, y, z)|$ также интегрируема на $V$, причем:

   $$\left|\iiint_{V}f(x,y,z)\,dV\right|\leq\iiint_{V}|f(x,y,z)|\,dV.$$

### Теорема существования тройного интеграла

Теорема существования тройного интеграла утверждает, что если функция $f(x, y, z)$ непрерывна на замкнутой и ограниченной области $V$, то тройной интеграл $\iiint_{V}f(x,y,z)\,dV$ существует.

Формально, если $f(x, y, z)$ непрерывна на $V$, то для любого разбиения области $V$ на подобласти $V_i$ с диаметрами $\delta_i$, сумма Римана:

$$\sum_{i=1}^{n}f(x_i,y_i,z_i)\Delta V_i$$

имеет предел при $\delta_i\to0$, и этот предел не зависит от выбора точек $(x_i, y_i, z_i)$ в подобластях $V_i$.

### Пример

Рассмотрим пример вычисления тройного интеграла. Пусть $f(x, y, z) = xyz$ и область $V$ — это куб с вершинами $(0,0,0)$, $(1,0,0)$, $(1,1,0)$, $(0,1,0)$, $(0,0,1)$, $(1,0,1)$, $(1,1,1)$, $(0,1,1)$. Тогда тройной интеграл можно вычислить как:

$$\iiint_{V}xyz\,dV=\int_{0}^{1}\int_{0}^{1}\int_{0}^{1}xyz\,dz\,dy\,dx.$$

Вычислим внутренний интеграл:

$$\int_{0}^{1}xyz\,dz=\left[\frac{xyz^2}{2}\right]_{0}^{1}=\frac{xy}{2}.$$

Теперь вычислим следующий интеграл:

$$\int_{0}^{1}\frac{xy}{2}\,dy=\left[\frac{xy^2}{4}\right]_{0}^{1}=\frac{x}{4}.$$

И, наконец, вычислим внешний интеграл:

$$\int_{0}^{1}\frac{x}{4}\,dx=\left[\frac{x^2}{8}\right]_{0}^{1}=\frac{1}{8}.$$

Таким образом, значение тройного интеграла равно $\frac{1}{8}$.