## Вычисление тройного интеграла в декартовых координатах

### Определение тройного интеграла

Тройной интеграл функции $f(x, y, z)$ по области $V$ определяется как:

$$\iiint_{V}f(x,y,z)\,dV.$$

### Сведение тройного интеграла к повторному

Для вычисления тройного интеграла часто удобно свести его к повторному интегралу. Рассмотрим область $V$, ограниченную поверхностями $z=g_1(x,y)$ и $z=g_2(x,y)$ над областью $D$ на плоскости $xy$. Тогда тройной интеграл можно представить в виде повторного интеграла:

$$\iiint_{V}f(x,y,z)\,dV=\iint_{D}\left(\int_{g_1(x,y)}^{g_2(x,y)}f(x,y,z)\,dz\right)\,dA.$$

### Пример 1: Прямоугольный параллелепипед

Рассмотрим пример вычисления тройного интеграла функции $f(x, y, z) = xyz$ по прямоугольному параллелепипеду, ограниченному плоскостями $x = 0$, $x = 1$, $y = 0$, $y = 1$, $z = 0$ и $z = 1$. В этом случае тройной интеграл можно свести к повторному интегралу:

$$\iiint_{V}xyz\,dV=\int_{0}^{1}\int_{0}^{1}\int_{0}^{1}xyz\,dz\,dy\,dx.$$

Вычислим внутренний интеграл:

$$\int_{0}^{1}xyz\,dz=\left[\frac{xyz^2}{2}\right]_{0}^{1}=\frac{xy}{2}.$$

Теперь вычислим следующий интеграл:

$$\int_{0}^{1}\frac{xy}{2}\,dy=\left[\frac{xy^2}{4}\right]_{0}^{1}=\frac{x}{4}.$$

И, наконец, вычислим внешний интеграл:

$$\int_{0}^{1}\frac{x}{4}\,dx=\left[\frac{x^2}{8}\right]_{0}^{1}=\frac{1}{8}.$$

Таким образом, значение тройного интеграла равно $\frac{1}{8}$.

### Пример 2: Область, ограниченная поверхностями

Рассмотрим область $V$, ограниченную поверхностями $z = x^2 + y^2$ и $z = 1$ над кругом радиуса 1 на плоскости $xy$. Функция $f(x, y, z) = z$. Тройной интеграл можно свести к повторному интегралу:

$$\iiint_{V}z\,dV=\iint_{D}\left(\int_{x^2+y^2}^{1}z\,dz\right)\,dA.$$

Вычислим внутренний интеграл:

$$\int_{x^2+y^2}^{1}z\,dz=\left[\frac{z^2}{2}\right]_{x^2+y^2}^{1}=\frac{1}{2}-\frac{(x^2+y^2)^2}{2}.$$

Теперь вычислим двойной интеграл в полярных координатах $(r, \theta)$, где $x = r\cos\theta$ и $y = r\sin\theta$:

$$\iint_{D}\left(\frac{1}{2}-\frac{(x^2+y^2)^2}{2}\right)\,dA=\int_{0}^{2\pi}\int_{0}^{1}\left(\frac{1}{2}-\frac{r^4}{2}\right)r\,dr\,d\theta.$$

Вычислим внутренний интеграл:

$$\int_{0}^{1}\left(\frac{1}{2}-\frac{r^4}{2}\right)r\,dr=\int_{0}^{1}\left(\frac{r}{2}-\frac{r^5}{2}\right)\,dr=\left[\frac{r^2}{4}-\frac{r^6}{12}\right]_{0}^{1}=\frac{1}{4}-\frac{1}{12}=\frac{1}{6}.$$

Теперь вычислим внешний интеграл:

$$\int_{0}^{2\pi}\frac{1}{6}\,d\theta=\frac{1}{6}\cdot2\pi=\frac{\pi}{3}.$$

Таким образом, значение тройного интеграла равно $\frac{\pi}{3}$.