## Задача, приводящая к понятию криволинейного интеграла первого рода. Криволинейные интегралы первого рода: определение, теорема существования (без доказательства), свойства. Вычисление криволинейного интеграла первого рода.

### Задача, приводящая к понятию криволинейного интеграла первого рода

Рассмотрим задачу вычисления массы проволоки, имеющей переменную линейную плотность $\rho(x, y, z)$, заданную как функция координат $(x, y, z)$. Если проволока имеет форму кривой $C$, параметризованной как $(x(t), y(t), z(t))$ для $t \in [a, b]$, то масса проволоки можно вычислить с помощью криволинейного интеграла первого рода:

$$M=\int_{C}\rho(x,y,z)\,ds,$$

где $ds$ — элемент длины дуги кривой $C$.

### Определение криволинейного интеграла первого рода

Криволинейный интеграл первого рода функции $f(x, y, z)$ по кривой $C$, параметризованной как $(x(t), y(t), z(t))$ для $t \in [a, b]$, определяется как:

$$\int_{C}f(x,y,z)\,ds=\int_{a}^{b}f(x(t),y(t),z(t))\sqrt{\left(\frac{dx}{dt}\right)^2+\left(\frac{dy}{dt}\right)^2+\left(\frac{dz}{dt}\right)^2}\,dt.$$

### Теорема существования криволинейного интеграла первого рода

Теорема существования криволинейного интеграла первого рода утверждает, что если функция $f(x, y, z)$ непрерывна на кривой $C$, то криволинейный интеграл $\int_{C}f(x,y,z)\,ds$ существует.

### Свойства криволинейных интегралов первого рода

1. **Линейность**:
   - Если $f(x, y, z)$ и $g(x, y, z)$ интегрируемы на кривой $C$, то для любых констант $a$ и $b$:

   $$\int_{C}(af(x,y,z)+bg(x,y,z))\,ds=a\int_{C}f(x,y,z)\,ds+b\int_{C}g(x,y,z)\,ds.$$

2. **Аддитивность**:
   - Если кривая $C$ состоит из двух частей $C_1$ и $C_2$, то:

   $$\int_{C}f(x,y,z)\,ds=\int_{C_1}f(x,y,z)\,ds+\int_{C_2}f(x,y,z)\,ds.$$

3. **Монотонность**:
   - Если $f(x, y, z) \geq g(x, y, z)$ для всех $(x, y, z)$ на кривой $C$, то:

   $$\int_{C}f(x,y,z)\,ds\geq\int_{C}g(x,y,z)\,ds.$$

### Вычисление криволинейного интеграла первого рода

Рассмотрим пример вычисления криволинейного интеграла первого рода функции $f(x, y, z) = x^2 + y^2 + z^2$ по кривой $C$, параметризованной как $(x(t), y(t), z(t)) = (t, t^2, t^3)$ для $t \in [0, 1]$.

Сначала вычислим производные:

$$\frac{dx}{dt}=1,$$
$$\frac{dy}{dt}=2t,$$
$$\frac{dz}{dt}=3t^2.$$

Теперь вычислим элемент длины дуги:

$$ds=\sqrt{\left(\frac{dx}{dt}\right)^2+\left(\frac{dy}{dt}\right)^2+\left(\frac{dz}{dt}\right)^2}\,dt=\sqrt{1+(2t)^2+(3t^2)^2}\,dt=\sqrt{1+4t^2+9t^4}\,dt.$$

Теперь подставим все в формулу криволинейного интеграла:

$$\int_{C}(x^2+y^2+z^2)\,ds=\int_{0}^{1}(t^2+(t^2)^2+(t^3)^2)\sqrt{1+4t^2+9t^4}\,dt.$$

Вычислим интеграл:

$$\int_{0}^{1}(t^2+t^4+t^6)\sqrt{1+4t^2+9t^4}\,dt.$$

Для вычисления этого интеграла можно использовать численные методы или специальные функции.