## Криволинейные интегралы второго рода: определение, теорема существования (без доказательства), свойства. Вычисление криволинейного интеграла второго рода.

### Определение криволинейного интеграла второго рода

Криволинейный интеграл второго рода векторного поля $\mathbf{F}(x, y, z) = P(x, y, z)\mathbf{i} + Q(x, y, z)\mathbf{j} + R(x, y, z)\mathbf{k}$ по кривой $C$, параметризованной как $(x(t), y(t), z(t))$ для $t \in [a, b]$, определяется как:

$$\int_{C}\mathbf{F}\cdot d\mathbf{r}=\int_{C}P\,dx+Q\,dy+R\,dz,$$

где $d\mathbf{r} = \left(\frac{dx}{dt}, \frac{dy}{dt}, \frac{dz}{dt}\right)dt$ — вектор элементарного смещения вдоль кривой $C$.

### Теорема существования криволинейного интеграла второго рода

Теорема существования криволинейного интеграла второго рода утверждает, что если компоненты векторного поля $\mathbf{F}(x, y, z)$ непрерывны на кривой $C$, то криволинейный интеграл $\int_{C}\mathbf{F}\cdot d\mathbf{r}$ существует.

### Свойства криволинейных интегралов второго рода

1. **Линейность**:
   - Если $\mathbf{F}$ и $\mathbf{G}$ — векторные поля, интегрируемые по кривой $C$, то для любых констант $a$ и $b$:

   $$\int_{C}(a\mathbf{F}+b\mathbf{G})\cdot d\mathbf{r}=a\int_{C}\mathbf{F}\cdot d\mathbf{r}+b\int_{C}\mathbf{G}\cdot d\mathbf{r}.$$

2. **Аддитивность**:
   - Если кривая $C$ состоит из двух частей $C_1$ и $C_2$, то:

   $$\int_{C}\mathbf{F}\cdot d\mathbf{r}=\int_{C_1}\mathbf{F}\cdot d\mathbf{r}+\int_{C_2}\mathbf{F}\cdot d\mathbf{r}.$$

3. **Обращение направления**:
   - Если кривая $C$ проходит в обратном направлении, то:

   $$\int_{-C}\mathbf{F}\cdot d\mathbf{r}=-\int_{C}\mathbf{F}\cdot d\mathbf{r}.$$

### Вычисление криволинейного интеграла второго рода

Рассмотрим пример вычисления криволинейного интеграла второго рода векторного поля $\mathbf{F}(x, y, z) = y\mathbf{i} + x\mathbf{j} + z\mathbf{k}$ по кривой $C$, параметризованной как $(x(t), y(t), z(t)) = (t, t^2, t^3)$ для $t \in [0, 1]$.

Сначала вычислим производные:

$$\frac{dx}{dt}=1,$$
$$\frac{dy}{dt}=2t,$$
$$\frac{dz}{dt}=3t^2.$$

Теперь подставим все в формулу криволинейного интеграла второго рода:

$$\int_{C}\mathbf{F}\cdot d\mathbf{r}=\int_{0}^{1}(y\frac{dx}{dt}+x\frac{dy}{dt}+z\frac{dz}{dt})\,dt=\int_{0}^{1}(t^2\cdot1+t\cdot2t+t^3\cdot3t^2)\,dt.$$

Упростим интеграл:

$$\int_{0}^{1}(t^2+2t^2+3t^5)\,dt=\int_{0}^{1}(3t^2+3t^5)\,dt.$$

Теперь вычислим интеграл:

$$\int_{0}^{1}(3t^2+3t^5)\,dt=\left[t^3+\frac{t^6}{2}\right]_{0}^{1}=1+\frac{1}{2}=\frac{3}{2}.$$

Таким образом, значение криволинейного интеграла второго рода равно $\frac{3}{2}$.