## Формула Грина. Вычисление площади плоской фигуры с помощью криволинейного интеграла.

### Формула Грина

Формула Грина утверждает, что для гладкой замкнутой кривой $C$, ограничивающей область $D$ на плоскости $xy$, и для непрерывно дифференцируемых функций $P(x, y)$ и $Q(x, y)$, определённых на $D$, выполняется равенство:

$$\oint_{C}(P\,dx+Q\,dy)=\iint_{D}\left(\frac{\partial Q}{\partial x}-\frac{\partial P}{\partial y}\right)\,dA.$$

### Доказательство формулы Грина

Доказательство формулы Грина основано на теореме о потоке векторного поля через замкнутую кривую и теореме о циркуляции векторного поля. Мы не будем приводить полное доказательство, но отметим, что оно включает использование теоремы Стокса и свойств дифференцируемых функций.

### Вычисление площади плоской фигуры с помощью криволинейного интеграла

Для вычисления площади плоской фигуры $D$, ограниченной замкнутой кривой $C$, можно использовать формулу Грина. Площадь $A$ фигуры $D$ можно вычислить с помощью криволинейного интеграла:

$$A=\frac{1}{2}\oint_{C}(x\,dy-y\,dx).$$

#### Пример

Рассмотрим пример вычисления площади круга радиуса $R$, центрированного в начале координат. Круг можно параметризовать как $(x(t), y(t)) = (R\cos t, R\sin t)$ для $t \in [0, 2\pi]$. Тогда криволинейный интеграл для вычисления площади будет:

$$A=\frac{1}{2}\oint_{C}(x\,dy-y\,dx)=\frac{1}{2}\int_{0}^{2\pi}(R\cos t\frac{dy}{dt}-R\sin t\frac{dx}{dt})\,dt.$$

Вычислим производные:

$$\frac{dx}{dt}=-R\sin t,$$
$$\frac{dy}{dt}=R\cos t.$$

Подставим их в интеграл:

$$A=\frac{1}{2}\int_{0}^{2\pi}(R\cos t\cdot R\cos t-R\sin t\cdot(-R\sin t))\,dt=\frac{1}{2}\int_{0}^{2\pi}(R^2\cos^2t+R^2\sin^2t)\,dt.$$

Упростим интеграл:

$$A=\frac{1}{2}\int_{0}^{2\pi}R^2\,dt=\frac{R^2}{2}\int_{0}^{2\pi}dt=\frac{R^2}{2}\cdot2\pi=\pi R^2.$$

Таким образом, площадь круга равна $\pi R^2$, что соответствует известной формуле для площади круга.