## Условия независимости криволинейного интеграла второго рода от пути интегрирования. Полный дифференциал. Восстановление функции по её полному дифференциалу.

### Условия независимости криволинейного интеграла второго рода от пути интегрирования

Криволинейный интеграл второго рода векторного поля $\mathbf{F}(x, y, z) = P(x, y, z)\mathbf{i} + Q(x, y, z)\mathbf{j} + R(x, y, z)\mathbf{k}$ по кривой $C$ определяется как:

$$\int_{C}\mathbf{F}\cdot d\mathbf{r}=\int_{C}P\,dx+Q\,dy+R\,dz.$$

Этот интеграл не зависит от пути интегрирования, если векторное поле $\mathbf{F}$ является потенциальным, то есть существует скалярная функция $U(x, y, z)$, такая что:

$$\mathbf{F}=\nabla U.$$

Это означает, что:

$$P=\frac{\partial U}{\partial x},$$
$$Q=\frac{\partial U}{\partial y},$$
$$R=\frac{\partial U}{\partial z}.$$

### Полный дифференциал

Полный дифференциал функции $U(x, y, z)$ определяется как:

$$dU=\frac{\partial U}{\partial x}dx+\frac{\partial U}{\partial y}dy+\frac{\partial U}{\partial z}dz.$$

Если векторное поле $\mathbf{F}$ является потенциальным, то:

$$P\,dx+Q\,dy+R\,dz=dU.$$

### Восстановление функции по её полному дифференциалу

Если известен полный дифференциал функции $U(x, y, z)$, то можно восстановить саму функцию $U(x, y, z)$ с точностью до аддитивной константы. Для этого нужно интегрировать полный дифференциал по некоторому пути от начальной точки $(x_0, y_0, z_0)$ до конечной точки $(x, y, z)$:

$$U(x,y,z)=U(x_0,y_0,z_0)+\int_{(x_0,y_0,z_0)}^{(x,y,z)}dU.$$

#### Пример

Рассмотрим пример восстановления функции по её полному дифференциалу. Пусть полный дифференциал функции $U(x, y, z)$ имеет вид:

$$dU=yz\,dx+xz\,dy+xy\,dz.$$

Для восстановления функции $U(x, y, z)$ интегрируем полный дифференциал по пути от начальной точки $(0, 0, 0)$ до конечной точки $(x, y, z)$. Выберем путь, состоящий из трёх отрезков: от $(0, 0, 0)$ до $(x, 0, 0)$, от $(x, 0, 0)$ до $(x, y, 0)$ и от $(x, y, 0)$ до $(x, y, z)$.

1. На первом отрезке $dy=0$ и $dz=0$, поэтому:

$$\int_{(0,0,0)}^{(x,0,0)}dU=\int_{0}^{x}yz\,dx=0.$$

2. На втором отрезке $dx=0$ и $dz=0$, поэтому:

$$\int_{(x,0,0)}^{(x,y,0)}dU=\int_{0}^{y}xz\,dy=0.$$

3. На третьем отрезке $dx=0$ и $dy=0$, поэтому:

$$\int_{(x,y,0)}^{(x,y,z)}dU=\int_{0}^{z}xy\,dz=xyz.$$

Суммируя результаты, получаем:

$$U(x,y,z)=U(0,0,0)+xyz.$$

Так как $U(0,0,0)$ — это произвольная константа, обозначим её как $C$. Тогда:

$$U(x,y,z)=xyz+C.$$