## Поверхностные интегралы первого рода: определение, теорема существования (без доказательства), свойства. Вычисление поверхностного интеграла первого рода.
### Определение поверхностного интеграла первого рода

Поверхностный интеграл первого рода функции $f(x, y, z)$ по поверхности $S$, параметризованной как $(x(u, v), y(u, v), z(u, v))$ для $(u, v) \in D$, определяется как:

$$\iint_{S}f(x,y,z)\,dS=\iint_{D}f(x(u,v),y(u,v),z(u,v))\sqrt{EG-F^2}\,du\,dv,$$

где $E$, $G$ и $F$ — коэффициенты первой квадратичной формы поверхности:

$$E=\left(\frac{\partial x}{\partial u}\right)^2+\left(\frac{\partial y}{\partial u}\right)^2+\left(\frac{\partial z}{\partial u}\right)^2,$$
$$G=\left(\frac{\partial x}{\partial v}\right)^2+\left(\frac{\partial y}{\partial v}\right)^2+\left(\frac{\partial z}{\partial v}\right)^2,$$
$$F=\frac{\partial x}{\partial u}\frac{\partial x}{\partial v}+\frac{\partial y}{\partial u}\frac{\partial y}{\partial v}+\frac{\partial z}{\partial u}\frac{\partial z}{\partial v}.$$

### Теорема существования поверхностного интеграла первого рода

Теорема существования поверхностного интеграла первого рода утверждает, что если функция $f(x, y, z)$ непрерывна на поверхности $S$, то поверхностный интеграл $\iint_{S}f(x,y,z)\,dS$ существует.

### Свойства поверхностных интегралов первого рода

1. **Линейность**:
   - Если $f(x, y, z)$ и $g(x, y, z)$ интегрируемы на поверхности $S$, то для любых констант $a$ и $b$:

   $$\iint_{S}(af(x,y,z)+bg(x,y,z))\,dS=a\iint_{S}f(x,y,z)\,dS+b\iint_{S}g(x,y,z)\,dS.$$

2. **Аддитивность**:
   - Если поверхность $S$ состоит из двух частей $S_1$ и $S_2$, то:

   $$\iint_{S}f(x,y,z)\,dS=\iint_{S_1}f(x,y,z)\,dS+\iint_{S_2}f(x,y,z)\,dS.$$

3. **Монотонность**:
   - Если $f(x, y, z) \geq g(x, y, z)$ для всех $(x, y, z)$ на поверхности $S$, то:

   $$\iint_{S}f(x,y,z)\,dS\geq\iint_{S}g(x,y,z)\,dS.$$

### Вычисление поверхностного интеграла первого рода

Рассмотрим пример вычисления поверхностного интеграла первого рода функции $f(x, y, z) = x^2 + y^2 + z^2$ по поверхности $S$, заданной уравнением $z = x^2 + y^2$ над кругом радиуса $R$, центрированного в начале координат. В полярных координатах $(r, \theta)$ область $D$ описывается как $0 \leq r \leq R$ и $0 \leq \theta \leq 2\pi$.

Сначала параметризуем поверхность:

$$x=r\cos\theta,$$
$$y=r\sin\theta,$$
$$z=r^2.$$

Теперь вычислим коэффициенты первой квадратичной формы:

$$E=\left(\frac{\partial x}{\partial r}\right)^2+\left(\frac{\partial y}{\partial r}\right)^2+\left(\frac{\partial z}{\partial r}\right)^2=(\cos\theta)^2+(\sin\theta)^2+(2r)^2=1+4r^2,$$
$$G=\left(\frac{\partial x}{\partial\theta}\right)^2+\left(\frac{\partial y}{\partial\theta}\right)^2+\left(\frac{\partial z}{\partial\theta}\right)^2=(-r\sin\theta)^2+(r\cos\theta)^2+0=r^2,$$
$$F=\frac{\partial x}{\partial r}\frac{\partial x}{\partial\theta}+\frac{\partial y}{\partial r}\frac{\partial y}{\partial\theta}+\frac{\partial z}{\partial r}\frac{\partial z}{\partial\theta}=0.$$

Теперь подставим все в формулу поверхностного интеграла:

$$\iint_{S}(x^2+y^2+z^2)\,dS=\iint_{D}(r^2\cos^2\theta+r^2\sin^2\theta+r^4)\sqrt{1+4r^2}r\,dr\,d\theta.$$

Упростим интеграл:

$$\iint_{D}(r^2+r^4)\sqrt{1+4r^2}r\,dr\,d\theta=\int_{0}^{2\pi}\int_{0}^{R}(r^2+r^4)\sqrt{1+4r^2}r\,dr\,d\theta.$$

Теперь вычислим внутренний интеграл:

$$\int_{0}^{R}(r^2+r^4)\sqrt{1+4r^2}r\,dr.$$

Для вычисления этого интеграла можно использовать численные методы или специальные функции.