## Поверхностные интегралы второго рода: определение, теорема существования (без доказательства), свойства. Вычисление поверхностного интеграла второго рода.

### Определение поверхностного интеграла второго рода

Поверхностный интеграл второго рода векторного поля $\mathbf{F}(x, y, z) = P(x, y, z)\mathbf{i} + Q(x, y, z)\mathbf{j} + R(x, y, z)\mathbf{k}$ по поверхности $S$, параметризованной как $(x(u, v), y(u, v), z(u, v))$ для $(u, v) \in D$, определяется как:

$$\iint_{S}\mathbf{F}\cdot d\mathbf{S}=\iint_{S}\mathbf{F}\cdot\mathbf{n}\,dS,$$

где $\mathbf{n}$ — единичный вектор нормали к поверхности $S$, а $d\mathbf{S} = \mathbf{n}\,dS$ — векторный элемент площади поверхности.

Если поверхность $S$ задана уравнением $z = f(x, y)$, то:

$$\iint_{S}\mathbf{F}\cdot d\mathbf{S}=\iint_{D}(-P\frac{\partial f}{\partial x}-Q\frac{\partial f}{\partial y}+R)\,dx\,dy,$$

где $D$ — проекция поверхности $S$ на плоскость $xy$.

### Теорема существования поверхностного интеграла второго рода

Теорема существования поверхностного интеграла второго рода утверждает, что если компоненты векторного поля $\mathbf{F}(x, y, z)$ непрерывны на поверхности $S$, то поверхностный интеграл $\iint_{S}\mathbf{F}\cdot d\mathbf{S}$ существует.

### Свойства поверхностных интегралов второго рода

1. **Линейность**:
   - Если $\mathbf{F}$ и $\mathbf{G}$ — векторные поля, интегрируемые по поверхности $S$, то для любых констант $a$ и $b$:

   $$\iint_{S}(a\mathbf{F}+b\mathbf{G})\cdot d\mathbf{S}=a\iint_{S}\mathbf{F}\cdot d\mathbf{S}+b\iint_{S}\mathbf{G}\cdot d\mathbf{S}.$$

2. **Аддитивность**:
   - Если поверхность $S$ состоит из двух частей $S_1$ и $S_2$, то:

   $$\iint_{S}\mathbf{F}\cdot d\mathbf{S}=\iint_{S_1}\mathbf{F}\cdot d\mathbf{S}+\iint_{S_2}\mathbf{F}\cdot d\mathbf{S}.$$

3. **Обращение направления нормали**:
   - Если изменить направление нормали $\mathbf{n}$ на противоположное, то:

   $$\iint_{S}\mathbf{F}\cdot(-\mathbf{n})\,dS=-\iint_{S}\mathbf{F}\cdot\mathbf{n}\,dS.$$

### Вычисление поверхностного интеграла второго рода

Рассмотрим пример вычисления поверхностного интеграла второго рода векторного поля $\mathbf{F}(x, y, z) = x\mathbf{i} + y\mathbf{j} + z\mathbf{k}$ по поверхности $S$, заданной уравнением $z = x^2 + y^2$ над кругом радиуса $R$, центрированного в начале координат.

Сначала найдем нормаль к поверхности:

$$\mathbf{n}=\frac{\nabla(z-x^2-y^2)}{|\nabla(z-x^2-y^2)|}=\frac{(-2x)\mathbf{i}+(-2y)\mathbf{j}+\mathbf{k}}{\sqrt{1+4x^2+4y^2}}.$$

Теперь подставим все в формулу поверхностного интеграла второго рода:

$$\iint_{S}\mathbf{F}\cdot d\mathbf{S}=\iint_{S}\mathbf{F}\cdot\mathbf{n}\,dS=\iint_{D}(-2x^2-2y^2+z)\sqrt{1+4x^2+4y^2}\,dx\,dy,$$

где $D$ — круг радиуса $R$ на плоскости $xy$.

В полярных координатах $(r, \theta)$ область $D$ описывается как $0 \leq r \leq R$ и $0 \leq \theta \leq 2\pi$. Тогда:

$$\iint_{D}(-2x^2-2y^2+z)\sqrt{1+4x^2+4y^2}\,dx\,dy=\int_{0}^{2\pi}\int_{0}^{R}(-2r^2+r^2)\sqrt{1+4r^2}r\,dr\,d\theta.$$

Упростим интеграл:

$$\int_{0}^{2\pi}\int_{0}^{R}(-r^2)\sqrt{1+4r^2}r\,dr\,d\theta.$$

Теперь вычислим внутренний интеграл:

$$\int_{0}^{R}(-r^2)\sqrt{1+4r^2}r\,dr.$$

Для вычисления этого интеграла можно использовать численные методы или специальные функции.