## Формула Остроградского-Гаусса

### Формулировка теоремы Остроградского-Гаусса

Пусть $V$ — область в трёхмерном пространстве, ограниченная замкнутой поверхностью $S$, и пусть $\mathbf{F}(x, y, z) = P(x, y, z)\mathbf{i} + Q(x, y, z)\mathbf{j} + R(x, y, z)\mathbf{k}$ — непрерывно дифференцируемое векторное поле, определённое на $V$ и $S$. Тогда:

$$\iiint_{V}(\nabla\cdot\mathbf{F})\,dV=\oiint_{S}\mathbf{F}\cdot\mathbf{n}\,dS,$$

где $\nabla\cdot\mathbf{F}$ — дивергенция векторного поля $\mathbf{F}$, а $\mathbf{n}$ — единичный вектор внешней нормали к поверхности $S$.

### Доказательство теоремы Остроградского-Гаусса

Доказательство теоремы Остроградского-Гаусса основано на применении теоремы Стокса и свойств дивергенции векторного поля. Мы не будем приводить полное доказательство, но отметим, что оно включает использование теоремы о потоке векторного поля через замкнутую поверхность и теоремы о циркуляции векторного поля.

### Применение теоремы Остроградского-Гаусса

Теорема Остроградского-Гаусса имеет множество приложений в физике и математике. Рассмотрим несколько примеров.

#### Пример 1: Вычисление потока векторного поля

Рассмотрим векторное поле $\mathbf{F}(x, y, z) = x\mathbf{i} + y\mathbf{j} + z\mathbf{k}$ и область $V$, ограниченную сферой радиуса $R$, центрированной в начале координат. Поверхность $S$ — это сфера радиуса $R$.

Сначала вычислим дивергенцию векторного поля:

$$\nabla\cdot\mathbf{F}=\frac{\partial P}{\partial x}+\frac{\partial Q}{\partial y}+\frac{\partial R}{\partial z}=1+1+1=3.$$

Теперь применим теорему Остроградского-Гаусса:

$$\iiint_{V}(\nabla\cdot\mathbf{F})\,dV=\iiint_{V}3\,dV=3\iiint_{V}\,dV=3\cdot\frac{4}{3}\pi R^3=4\pi R^3.$$

Таким образом, поток векторного поля через поверхность $S$ равен $4\pi R^3$.

#### Пример 2: Вычисление объема области

Рассмотрим векторное поле $\mathbf{F}(x, y, z) = x\mathbf{i} + y\mathbf{j} + z\mathbf{k}$ и область $V$, ограниченную кубом с вершинами $(0,0,0)$, $(1,0,0)$, $(1,1,0)$, $(0,1,0)$, $(0,0,1)$, $(1,0,1)$, $(1,1,1)$, $(0,1,1)$. Поверхность $S$ — это грани куба.

Сначала вычислим дивергенцию векторного поля:

$$\nabla\cdot\mathbf{F}=\frac{\partial P}{\partial x}+\frac{\partial Q}{\partial y}+\frac{\partial R}{\partial z}=1+1+1=3.$$

Теперь применим теорему Остроградского-Гаусса:

$$\iiint_{V}(\nabla\cdot\mathbf{F})\,dV=\iiint_{V}3\,dV=3\iiint_{V}\,dV=3\cdot1=3.$$

Таким образом, объем области $V$ равен $1$.