## Формула Стокса

### Формулировка теоремы Стокса

Пусть $S$ — ориентированная поверхность в трёхмерном пространстве, ограниченная замкнутой кривой $C$, и пусть $\mathbf{F}(x, y, z) = P(x, y, z)\mathbf{i} + Q(x, y, z)\mathbf{j} + R(x, y, z)\mathbf{k}$ — непрерывно дифференцируемое векторное поле, определённое на $S$ и $C$. Тогда:

$$\oint_{C}\mathbf{F}\cdot d\mathbf{r}=\iint_{S}(\nabla\times\mathbf{F})\cdot\mathbf{n}\,dS,$$

где $\nabla\times\mathbf{F}$ — ротор векторного поля $\mathbf{F}$, а $\mathbf{n}$ — единичный вектор нормали к поверхности $S$.

### Доказательство теоремы Стокса

Доказательство теоремы Стокса основано на применении теоремы Грина и свойств ротора векторного поля. Мы не будем приводить полное доказательство, но отметим, что оно включает использование теоремы о циркуляции векторного поля и теоремы о потоке векторного поля через замкнутую кривую.

### Применение теоремы Стокса

Теорема Стокса имеет множество приложений в физике и математике. Рассмотрим несколько примеров.

#### Пример 1: Вычисление циркуляции векторного поля

Рассмотрим векторное поле $\mathbf{F}(x, y, z) = y\mathbf{i} + x\mathbf{j} + z\mathbf{k}$ и замкнутую кривую $C$, параметризованную как $(x(t), y(t), z(t)) = (\cos t, \sin t, t)$ для $t \in [0, 2\pi]$. Поверхность $S$ — это диск, ограниченный этой кривой.

Сначала вычислим ротор векторного поля:

$$\nabla\times\mathbf{F}=\left|\begin{matrix}\mathbf{i}&\mathbf{j}&\mathbf{k}\\\frac{\partial}{\partial x}&\frac{\partial}{\partial y}&\frac{\partial}{\partial z}\\y&x&z\end{matrix}\right|=\mathbf{i}(0-0)-\mathbf{j}(0-1)+\mathbf{k}(1-1)=-\mathbf{j}.$$

Теперь применим теорему Стокса:

$$\oint_{C}\mathbf{F}\cdot d\mathbf{r}=\iint_{S}(\nabla\times\mathbf{F})\cdot\mathbf{n}\,dS=\iint_{S}(-\mathbf{j})\cdot\mathbf{n}\,dS.$$

Единичный вектор нормали $\mathbf{n}$ к поверхности $S$ можно вычислить как:

$$\mathbf{n}=\frac{\nabla(z-x^2-y^2)}{|\nabla(z-x^2-y^2)|}=\frac{(-2x)\mathbf{i}+(-2y)\mathbf{j}+\mathbf{k}}{\sqrt{1+4x^2+4y^2}}.$$

Теперь подставим все в формулу поверхностного интеграла:

$$\iint_{S}(-\mathbf{j})\cdot\mathbf{n}\,dS=\iint_{S}(-\mathbf{j})\cdot\frac{(-2y)\mathbf{j}}{\sqrt{1+4x^2+4y^2}}\,dS=\iint_{S}\frac{2y}{\sqrt{1+4x^2+4y^2}}\,dS.$$

Вычислим этот интеграл:

$$\iint_{S}\frac{2y}{\sqrt{1+4x^2+4y^2}}\,dS.$$

Для вычисления этого интеграла можно использовать численные методы или специальные функции.

#### Пример 2: Вычисление потока векторного поля

Рассмотрим векторное поле $\mathbf{F}(x, y, z) = x\mathbf{i} + y\mathbf{j} + z\mathbf{k}$ и замкнутую кривую $C$, параметризованную как $(x(t), y(t), z(t)) = (\cos t, \sin t, t)$ для $t \in [0, 2\pi]$. Поверхность $S$ — это диск, ограниченный этой кривой.

Сначала вычислим ротор векторного поля:

$$\nabla\times\mathbf{F}=\left|\begin{matrix}\mathbf{i}&\mathbf{j}&\mathbf{k}\\\frac{\partial}{\partial x}&\frac{\partial}{\partial y}&\frac{\partial}{\partial z}\\x&y&z\end{matrix}\right|=\mathbf{i}(0-0)-\mathbf{j}(0-0)+\mathbf{k}(1-1)=0.$$

Теперь применим теорему Стокса:

$$\oint_{C}\mathbf{F}\cdot d\mathbf{r}=\iint_{S}(\nabla\times\mathbf{F})\cdot\mathbf{n}\,dS=\iint_{S}0\cdot\mathbf{n}\,dS=0.$$

Таким образом, циркуляция векторного поля по замкнутой кривой равна нулю.